-- --------------------------------------------------------
-- Host:                         95.168.204.247
-- Server version:               5.5.5-10.1.48-MariaDB-1~jessie - mariadb.org binary distribution
-- Server OS:                    debian-linux-gnu
-- HeidiSQL version:             7.0.0.4053
-- Date/time:                    2021-11-23 19:48:46
-- --------------------------------------------------------

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET FOREIGN_KEY_CHECKS=0 */;

-- Dumping structure for table perut_www3_cz.apkind
CREATE TABLE IF NOT EXISTS `apkind` (
  `kind_code` char(3) NOT NULL DEFAULT '' COMMENT 'Kód druhu dokladu',
  `desc_text` char(25) DEFAULT NULL COMMENT 'Popis druhu dokladu',
  `next_num` int(11) DEFAULT NULL COMMENT 'Další číslo závazku v rámci druhu doklad',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`kind_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Druhy dokladů-závazky';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.arkind
CREATE TABLE IF NOT EXISTS `arkind` (
  `kind_code` varchar(3) NOT NULL COMMENT 'Kód druhu dokladu',
  `desc1` varchar(100) DEFAULT NULL COMMENT 'Popis druhu dokladu',
  `desc2` varchar(100) DEFAULT NULL COMMENT '2.řádka popisu druhu dokladu na faktuře',
  `next_num` int(11) DEFAULT NULL COMMENT 'Další číslo pohledávky v rámci druhu',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`kind_code`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Druhy dokladů-pohledávky ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.bordetl
CREATE TABLE IF NOT EXISTS `bordetl` (
  `id_norm_detl` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID řádky NS',
  `id_norm` int(11) NOT NULL COMMENT 'ID hlavičky NS',
  `parent_item_code` char(15) NOT NULL COMMENT 'Vrcholová položka normy (RODIČ)',
  `child_item_code` char(15) NOT NULL COMMENT 'Kód položky normy (DÍTĚ)\\nPro druh řádky I-instrukce je ve sloupci uveden implicitně kód "INSTRUKCE"',
  `type_ind` char(2) NOT NULL DEFAULT '00' COMMENT 'Typ normy spotřeby',
  `sort_num` int(11) NOT NULL DEFAULT '10' COMMENT 'Třídící číslo řádky normy v rámci RODIČE',
  `required_qty` double NOT NULL DEFAULT '1' COMMENT 'Množství položky-dítě požadované pro položku-rodič',
  `resource_code` char(1) NOT NULL DEFAULT 'C' COMMENT 'Typ vztahu RODIČ-DÍTĚ\\nHodnoty\\n C=komponenta\\n F=fantom\\n G=generická položka\\n I=instrukce\\n P=Podskupina\\n S=náklady',
  `cost_amt` decimal(16,4) NOT NULL DEFAULT '0.0000' COMMENT 'Náklady na položku normy',
  `entry_date` date DEFAULT NULL COMMENT 'Datum zápisy  ',
  `entry_code` char(8) DEFAULT NULL COMMENT 'Kód uživatele',
  `work_place_code` char(8) DEFAULT NULL COMMENT 'Kód pracoviště',
  `ware_code` char(3) DEFAULT NULL COMMENT 'Implicitní sklad výdeje   ',
  `back_flush` char(1) DEFAULT NULL COMMENT 'Zpětný výdej\nHodnoty\n A = Provádí se automatický výdej ze skladu\n N = Výdej se automatický neprovádí',
  `start_date` date DEFAULT NULL COMMENT 'Začátek platnosti vazby RODIČ-DÍTĚ',
  `end_date` date DEFAULT NULL COMMENT 'Konec platnosti vazby RODIČ-DÍTĚ',
  `valid_flag` int(11) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id_norm_detl`),
  KEY `FK_bordetl_borhead` (`id_norm`),
  KEY `FK_bordetl_product` (`parent_item_code`),
  KEY `FK_bordetl_product_2` (`child_item_code`),
  KEY `FK_bordetl_warehouse` (`ware_code`),
  CONSTRAINT `FK_bordetl_borhead` FOREIGN KEY (`id_norm`) REFERENCES `borhead` (`id_norm`) ON DELETE CASCADE,
  CONSTRAINT `FK_bordetl_product` FOREIGN KEY (`parent_item_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_bordetl_product_2` FOREIGN KEY (`child_item_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_bordetl_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Řádky normy spotřeby';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.borhead
CREATE TABLE IF NOT EXISTS `borhead` (
  `id_norm` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Položka-RODIČ (vrcholová položka NS)',
  `parent_item_code` char(15) NOT NULL COMMENT 'Pořadové číslo normy',
  `type_ind` char(2) NOT NULL COMMENT 'Typ normy spotřeby',
  `price_conv` decimal(12,4) NOT NULL DEFAULT '0.0000' COMMENT 'Množství měrné jednotky, pro které je norma spotřeby vytvořena',
  `cost_rollup_amt` decimal(16,4) NOT NULL DEFAULT '0.0000' COMMENT 'Kalkulované náklady',
  `loss_qty` decimal(12,4) DEFAULT NULL COMMENT 'Normovaná ztráta',
  `loss_uom_code` char(4) DEFAULT NULL COMMENT 'MJ normované ztráty. Jsou povoleny pouze hodnoty % nebo MJ produktu.',
  `loss_ind` char(1) DEFAULT NULL COMMENT 'Indikátor ztráty.\\nHodnoty:\\n 0=ztráty nejsou zahrnuty v NS\\n 1=ztráty jsou zahrnuty v NS',
  `start_date` date DEFAULT NULL COMMENT 'Začátek platnosti',
  `end_date` date DEFAULT NULL COMMENT 'Konec platnosti',
  `entry_date` date DEFAULT NULL COMMENT 'Datum zápisu',
  `entry_code` char(8) DEFAULT NULL COMMENT 'Uživatel, který provedl zápis',
  `valid_flag` bit(1) DEFAULT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id_norm`),
  KEY `FK_borhead_product` (`parent_item_code`),
  KEY `FK_borhead_uom` (`loss_uom_code`),
  CONSTRAINT `FK_borhead_product` FOREIGN KEY (`parent_item_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_borhead_uom` FOREIGN KEY (`loss_uom_code`) REFERENCES `uom` (`uom_code`) ON DELETE NO ACTION ON UPDATE NO ACTION
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Hlavička normy spotřeby ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.category
CREATE TABLE IF NOT EXISTS `category` (
  `cat_code` char(3) NOT NULL COMMENT 'Kód kategorie produktu',
  `desc_text` char(80) DEFAULT NULL COMMENT 'Popis kategorie',
  `std_cost_mrkup_per` decimal(6,2) DEFAULT NULL COMMENT '% rabatu',
  `cost_list_ind` char(1) DEFAULT NULL COMMENT 'Základ pro výpočet ceny cenové hladiny ',
  `def_cost_ind` char(1) DEFAULT NULL COMMENT 'Kategorie označuje výrobek (A/N) ',
  `pur_acct_code` char(18) NOT NULL COMMENT 'Impl.výdejový účet pro rozpouštění CO,VN',
  `ret_acct_code` char(18) NOT NULL COMMENT 'Účet zásob pro cenové odchylky',
  `sale_acct_code` char(18) NOT NULL COMMENT 'Účet tržeb z prodeje',
  `cred_acct_code` char(18) NOT NULL COMMENT 'Účet výdeje do výroby',
  `cogs_acct_code` char(18) NOT NULL COMMENT 'Účet nákladů na prodej',
  `stock_acct_code` char(18) NOT NULL COMMENT 'Účet skladu',
  `adj_acct_code` char(18) NOT NULL COMMENT 'Impl.účet pro opravy množství skladu',
  `accrued_acct_code` char(18) NOT NULL COMMENT 'Účet pořízení zásob',
  `vn_acct_code` char(18) NOT NULL COMMENT 'Účet zásob pro vedlejší náklady',
  `int_sale_acct_code` char(18) NOT NULL COMMENT 'Účet vnitropodnikových výnosů',
  `int_cogs_acct_code` char(18) NOT NULL COMMENT 'Účet vnitropodnikových nákladů',
  `int_accr_acct_code` char(18) NOT NULL COMMENT 'Účet pořízení pro VP nákupy',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`cat_code`),
  KEY `FK_category_coa` (`pur_acct_code`),
  KEY `FK_category_coa_2` (`ret_acct_code`),
  KEY `FK_category_coa_3` (`sale_acct_code`),
  KEY `FK_category_coa_4` (`cred_acct_code`),
  KEY `FK_category_coa_5` (`cogs_acct_code`),
  KEY `FK_category_coa_6` (`stock_acct_code`),
  KEY `FK_category_coa_7` (`adj_acct_code`),
  KEY `FK_category_coa_8` (`accrued_acct_code`),
  KEY `FK_category_coa_9` (`vn_acct_code`),
  KEY `FK_category_coa_10` (`int_sale_acct_code`),
  KEY `FK_category_coa_11` (`int_cogs_acct_code`),
  KEY `FK_category_coa_12` (`int_accr_acct_code`),
  CONSTRAINT `FK_category_coa` FOREIGN KEY (`pur_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_category_coa_10` FOREIGN KEY (`int_sale_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_category_coa_11` FOREIGN KEY (`int_cogs_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_category_coa_12` FOREIGN KEY (`int_accr_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_category_coa_2` FOREIGN KEY (`ret_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_category_coa_3` FOREIGN KEY (`sale_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_category_coa_4` FOREIGN KEY (`cred_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_category_coa_5` FOREIGN KEY (`cogs_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_category_coa_6` FOREIGN KEY (`stock_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_category_coa_7` FOREIGN KEY (`adj_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_category_coa_8` FOREIGN KEY (`accrued_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_category_coa_9` FOREIGN KEY (`vn_acct_code`) REFERENCES `coa` (`acct_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Kategorie produktů ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.class
CREATE TABLE IF NOT EXISTS `class` (
  `class_code` char(8) NOT NULL DEFAULT '',
  `desc_text` char(30) DEFAULT NULL,
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`class_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Skladová třída';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.coa
CREATE TABLE IF NOT EXISTS `coa` (
  `acct_code` char(18) NOT NULL DEFAULT '' COMMENT 'Kód účtu',
  `desc_text` varchar(100) DEFAULT NULL COMMENT 'Popis účtu',
  `start_year_num` smallint(6) DEFAULT NULL COMMENT 'Rok otevření účtu',
  `start_period_num` smallint(6) DEFAULT NULL COMMENT 'Období otevření účtu',
  `end_year_num` smallint(6) DEFAULT NULL COMMENT 'Rok uzavření účtu',
  `end_period_num` smallint(6) DEFAULT NULL COMMENT 'Období uzavření účtu',
  `type_ind` char(1) NOT NULL COMMENT 'Typ účtu Hodnoty: A=Aktiva, E=Náklady, I=Výnosy, L=Pasiva,N=Uzávěrkový nebo podrozvahový účet',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`acct_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Účetní osnova';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.country
CREATE TABLE IF NOT EXISTS `country` (
  `country_code` varchar(3) NOT NULL COMMENT 'Kód Státu',
  `country_text` varchar(100) DEFAULT NULL COMMENT 'Název Státu',
  `language_code` varchar(3) NOT NULL COMMENT 'Kód pro identifikaci úředního jazyka',
  `statistic_code` varchar(8) DEFAULT NULL COMMENT 'Statistický kód',
  `eu_ind` char(1) NOT NULL COMMENT 'Země EU A/N?',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`country_code`,`valid_flag`),
  KEY `FK_country_language` (`language_code`),
  CONSTRAINT `FK_country_language` FOREIGN KEY (`language_code`) REFERENCES `language` (`language_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Státy';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.currency
CREATE TABLE IF NOT EXISTS `currency` (
  `currency_code` char(3) NOT NULL COMMENT 'Kód měny',
  `desc_text` varchar(100) DEFAULT NULL COMMENT 'Popis měny',
  `symbol_text` char(3) NOT NULL COMMENT 'Účet daně na vstupu',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`currency_code`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Měny';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.custaudit
CREATE TABLE IF NOT EXISTS `custaudit` (
  `id_num` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní klíč v rámci tabulky',
  `cust_code` char(8) DEFAULT NULL COMMENT 'kód odběratele',
  `tran_date` date DEFAULT NULL COMMENT 'datum pohybu',
  `seq_num` smallint(6) DEFAULT NULL COMMENT 'sekvenční č. pohybu v rámci odběratele',
  `tran_type_ind` char(2) DEFAULT NULL COMMENT 'Typ transakce ',
  `source_num` int(11) DEFAULT NULL COMMENT 'číslo dokladu ',
  `tran_text` char(15) DEFAULT NULL COMMENT 'popis pohybu ',
  `tran_amt` decimal(16,2) DEFAULT NULL COMMENT 'částka pohybu ',
  `entry_code` char(8) DEFAULT NULL COMMENT 'pohyb zapsal - osoba',
  `sales_code` char(8) DEFAULT NULL COMMENT 'kód prodejce nebo null',
  `year_num` smallint(6) DEFAULT NULL COMMENT 'účetní rok',
  `period_num` smallint(6) DEFAULT NULL COMMENT 'účetní období',
  `bal_amt` decimal(16,2) DEFAULT NULL COMMENT 'částka - saldo',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`id_num`),
  KEY `FK_custaudit_customer` (`cust_code`),
  CONSTRAINT `FK_custaudit_customer` FOREIGN KEY (`cust_code`) REFERENCES `customer` (`cust_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Pohyby odběratele';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.customer
CREATE TABLE IF NOT EXISTS `customer` (
  `cust_code` varchar(8) NOT NULL COMMENT 'Kód odběratele',
  `name_text` varchar(100) DEFAULT NULL COMMENT 'Název firmy odběratele         ',
  `addr1_text` varchar(100) DEFAULT NULL COMMENT '1. řádka adresy odběratele     ',
  `addr2_text` varchar(60) DEFAULT NULL COMMENT '2. řádka adresy (ulice)        ',
  `city_text` varchar(40) DEFAULT NULL COMMENT 'Město                          ',
  `state_code` char(6) DEFAULT NULL COMMENT 'Kód regionu (země, kraj, okres)',
  `post_code` char(10) DEFAULT NULL COMMENT 'PSČ                            ',
  `country_text` varchar(100) DEFAULT NULL COMMENT 'Název státu ',
  `country_code` char(3) DEFAULT NULL COMMENT 'Kód státu   ',
  `type_code` char(3) DEFAULT NULL COMMENT 'Typ odběratele (vazba na účetnictví)',
  `term_num` int(11) DEFAULT NULL COMMENT 'Implicitní počet dní splatnosti     ',
  `tax_code` char(3) DEFAULT NULL COMMENT 'Implicitní kód daně                 ',
  `tax_num_text` varchar(20) DEFAULT NULL COMMENT 'DIČ odběratele              ',
  `contact_text` varchar(100) DEFAULT NULL COMMENT 'Kontaktní osoba u odběratele',
  `tele_text` varchar(20) DEFAULT NULL COMMENT 'Telefon                     ',
  `email_text` varchar(100) DEFAULT NULL COMMENT 'Email text',
  `bal_amt` decimal(16,2) DEFAULT NULL COMMENT 'Limit úvěru',
  `hold_flag` char(1) NOT NULL DEFAULT 'N' COMMENT 'Příznak zadrženého prodeje (A/N) ',
  `currency_code` char(3) DEFAULT NULL COMMENT 'Měna odběratele                       ',
  `bank_acct_code` varchar(60) DEFAULT NULL COMMENT 'Bankovní účet odběratele v text. tvaru',
  `ico_num` char(12) DEFAULT NULL COMMENT 'IČO - Identifikační číslo odběratele  ',
  `bic_code` char(12) DEFAULT NULL COMMENT 'BIC/SWIFT                             ',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`cust_code`,`valid_flag`),
  KEY `FK_customer_country` (`country_code`),
  KEY `FK_customer_currency` (`currency_code`),
  KEY `FK_customer_customertype` (`type_code`),
  KEY `FK_customer_shipstate` (`state_code`),
  KEY `FK_customer_tax` (`tax_code`),
  CONSTRAINT `FK_customer_country` FOREIGN KEY (`country_code`) REFERENCES `country` (`country_code`),
  CONSTRAINT `FK_customer_currency` FOREIGN KEY (`currency_code`) REFERENCES `currency` (`currency_code`),
  CONSTRAINT `FK_customer_customertype` FOREIGN KEY (`type_code`) REFERENCES `customertype` (`type_code`),
  CONSTRAINT `FK_customer_shipstate` FOREIGN KEY (`state_code`) REFERENCES `shipstate` (`state_code`),
  CONSTRAINT `FK_customer_tax` FOREIGN KEY (`tax_code`) REFERENCES `tax` (`tax_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Odběratel-základní údaje';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.customertype
CREATE TABLE IF NOT EXISTS `customertype` (
  `type_code` char(3) NOT NULL COMMENT 'Kód typu odběratele',
  `type_text` varchar(100) DEFAULT NULL COMMENT 'Popis typu odběratele',
  `acct_mask_code` varchar(20) DEFAULT NULL COMMENT 'Implicitní středisko',
  `typ_pohl_kr_plus` varchar(20) NOT NULL COMMENT 'Impicitní typ pohledávky pro odběratele',
  `cust_class_id` char(1) NOT NULL COMMENT 'Klasifikace typu odběratele Hodnoty: T=tuzemský, V=vnitropodnikový, Z=zahraniční',
  `valid_flag` bit(1) NOT NULL DEFAULT b'0' COMMENT 'Platnost záznamu',
  PRIMARY KEY (`type_code`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Typ odběratele';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.custship
CREATE TABLE IF NOT EXISTS `custship` (
  `cust_code` char(8) NOT NULL COMMENT 'Kód odběratele',
  `ship_code` char(8) NOT NULL COMMENT 'Kód odběrního místa',
  `name_text` char(80) DEFAULT NULL COMMENT 'Název odběrního místa',
  `addr_text` char(80) DEFAULT NULL COMMENT '1. řádka adresy',
  `addr2_text` char(80) DEFAULT NULL COMMENT '2. řádka adresy (ulice)',
  `city_text` char(80) DEFAULT NULL COMMENT 'Město',
  `state_text` char(6) DEFAULT NULL COMMENT 'Kód regionu (okresu)',
  `post_code` char(10) DEFAULT NULL COMMENT 'PSČ',
  `country_text` char(80) DEFAULT NULL COMMENT 'Název státu',
  `contact_text` char(80) DEFAULT NULL COMMENT 'Kontaktní osoba',
  `tele_text` char(20) DEFAULT NULL COMMENT 'Tel. číslo odběrního místa',
  `email_text` char(80) DEFAULT NULL COMMENT 'E-mail',
  `ware_code` char(3) DEFAULT NULL COMMENT 'Impl.kód skladu prodeje',
  `cat_code` char(3) DEFAULT NULL COMMENT 'Kategorie OM',
  `run_text` char(3) DEFAULT NULL,
  `valid_flag` bit(1) NOT NULL COMMENT 'TRUE - Platný záznam\\\\nFALSE - Zrušený záznam',
  PRIMARY KEY (`ship_code`),
  KEY `FK_custship_customer` (`cust_code`),
  KEY `FK_custship_shipstate` (`state_text`),
  KEY `FK_custship_warehouse` (`ware_code`),
  KEY `FK_custship_shipcategory` (`cat_code`),
  CONSTRAINT `FK_custship_customer` FOREIGN KEY (`cust_code`) REFERENCES `customer` (`cust_code`) ON DELETE CASCADE,
  CONSTRAINT `FK_custship_shipcategory` FOREIGN KEY (`cat_code`) REFERENCES `shipcategory` (`cat_code`),
  CONSTRAINT `FK_custship_shipstate` FOREIGN KEY (`state_text`) REFERENCES `shipstate` (`state_code`),
  CONSTRAINT `FK_custship_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Odběrní místa';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.filter_data
CREATE TABLE IF NOT EXISTS `filter_data` (
  `user` char(20) DEFAULT NULL COMMENT 'Uživatel',
  `form_id` char(20) DEFAULT NULL COMMENT 'ID formuláře v XML souboru',
  `tabname` varchar(30) DEFAULT NULL COMMENT 'Název DB tabulky',
  `colname` varchar(30) DEFAULT NULL COMMENT 'Název sloupce DB tabulky',
  `value` varchar(500) DEFAULT NULL COMMENT 'Zadané výběrové kriterium uživatele',
  `dbtype` char(20) DEFAULT NULL COMMENT 'Databázový typ',
  `exact` bit(1) DEFAULT NULL COMMENT 'Povinost exaktní hodnoty',
  `required` bit(1) DEFAULT NULL COMMENT 'Musí být zadaná výběrová podmínka',
  `negation` bit(1) DEFAULT NULL COMMENT 'Negace zadané podmínky',
  `caseSensitive` bit(1) DEFAULT NULL COMMENT 'Rozlišovat velikost písmen u řetězců',
  KEY `FK_filter_data_user` (`user`),
  CONSTRAINT `FK_filter_data_user` FOREIGN KEY (`user`) REFERENCES `user` (`user_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Tábulka se zadanými výběrovými podmínkami uživatele pro jednotlivé foláře.';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.ingreddetl
CREATE TABLE IF NOT EXISTS `ingreddetl` (
  `id_ingred_detl` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Číslo řádky výpočtu',
  `id_ingred` int(11) NOT NULL COMMENT 'Číslo výpočtu složení výrobku',
  `parent_num` int(11) DEFAULT NULL COMMENT 'Primární sekvenční číslo ',
  `nsvalid_date` date NOT NULL COMMENT 'Datum platnosti výpočtu ',
  `parent_id_norm` int(11) NOT NULL COMMENT 'Číslo nadřazené NS ',
  `id_norm` int(11) NOT NULL COMMENT 'Číslo NS polotovaru ',
  `id_norm_detl` int(11) NOT NULL COMMENT 'Číslo řádky NS ',
  `type_ind` char(2) NOT NULL DEFAULT '00' COMMENT 'Typ normy spotřeby ',
  `primary_item_code` char(15) NOT NULL COMMENT 'Kód produktu, pro který bylo vypočteno složení surovin. ',
  `parent_item_code` char(15) NOT NULL COMMENT 'Kód výrobku/polotovaru ',
  `child_item_code` char(15) NOT NULL COMMENT 'Kód položky NS ',
  `subst_prod_code` char(15) DEFAULT NULL COMMENT 'Kód záměnné položky ',
  `required_qty` double NOT NULL DEFAULT '0' COMMENT 'Požadované množství výrobku v MJ na 1000 MJ primárního výrobku. ',
  `required_weight` double NOT NULL DEFAULT '0' COMMENT 'Požadované množství výrobku v KG na 1000 MJ primárního výrobku. ',
  `required100_weight` double NOT NULL DEFAULT '0' COMMENT 'Požadované množství výrobku v MJ na 100 Kg primárního výrobku. ',
  `iss_qty` double NOT NULL DEFAULT '0' COMMENT 'Požadované množství suroviny na 1000 MJ primárního výrobku. ',
  `iss_weight` double NOT NULL DEFAULT '0' COMMENT 'Požadované množství suroviny v KG 1000 MJ primárního výrobku. ',
  `iss100_weight` double NOT NULL DEFAULT '0' COMMENT 'Požadované množství suroviny na 100 KG primárního výrobku. ',
  `sub_iss_qty` double NOT NULL DEFAULT '0' COMMENT 'Požadované množství záměnného produktu v MJ na 1000 MJ primárního výrobku. ',
  `sub_iss_weight` double NOT NULL DEFAULT '0' COMMENT 'Požadované množství záměnného produktu v KG na 1000 MJ primárního výrobku. ',
  `sub_iss100_weight` double NOT NULL DEFAULT '0' COMMENT 'Požadované množství záměnného produktu v KG na 100 KG primárního výrobku. ',
  `parent_res_code` char(1) NOT NULL COMMENT 'Druh řádky nadřazené NS\\nHodnoty\\n0 = Vygenerovaný záznam pro primární produkt\\nC = Komponenta\\nD = Podskupina\\nF = Fantom\\nG = Zástupná položka ',
  `resource_code` char(1) NOT NULL COMMENT 'Druh běžné řádky NS \nHodnoty\nC = Komponenta\nF = Fantom\nG = Zástupná položka\nP = Podkupina\n ',
  `allergen_ind` char(1) NOT NULL COMMENT 'Míra existence alergenů ve složce \nHodnoty\n0 = Neobsahuje1 = Obsahuje2 = Obsahuje možná ',
  `ingred_ind` char(1) NOT NULL COMMENT 'Typ záznamu \nHodnoty\nL = Složky primární suroviny\nP = Primární surovina\nS = Surovina\nV = Výrobek\nX = Ostatní\nY = Ignorovaná suroviny ',
  `level_num` smallint(6) NOT NULL DEFAULT '1' COMMENT 'Číslo úrovně NS ',
  `group_num` int(11) DEFAULT NULL COMMENT 'Číslo skupiny pro zástupnou položku ',
  `entry_date` date DEFAULT NULL COMMENT 'Datum zápisu ',
  `entry_time` char(5) DEFAULT NULL COMMENT 'Čas zápisu ',
  `entry_code` char(8) DEFAULT NULL COMMENT 'Kód uživatele ',
  `group_prim_ingred` int(11) DEFAULT NULL COMMENT 'Seskupení, do které patří složka primární siroviny. Udaj je určen k seskupení udajů pro tisku složení výrobku. Nesouvisí se skupinama složek.',
  `valid_flag` bit(1) DEFAULT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id_ingred_detl`),
  KEY `FK_ingreddetl_ingredhead` (`id_ingred`),
  KEY `FK_ingreddetl_ingreddetl` (`parent_num`),
  KEY `FK_ingreddetl_borhead` (`parent_id_norm`),
  KEY `FK_ingreddetl_bordetl_2` (`id_norm`),
  KEY `FK_ingreddetl_bordetl` (`id_norm_detl`),
  KEY `FK_ingreddetl_product` (`primary_item_code`),
  KEY `FK_ingreddetl_product_2` (`parent_item_code`),
  KEY `FK_ingreddetl_product_3` (`child_item_code`),
  KEY `FK_ingreddetl_product_4` (`subst_prod_code`),
  CONSTRAINT `FK_ingreddetl_bordetl` FOREIGN KEY (`id_norm_detl`) REFERENCES `bordetl` (`id_norm_detl`),
  CONSTRAINT `FK_ingreddetl_bordetl_2` FOREIGN KEY (`id_norm`) REFERENCES `bordetl` (`id_norm`),
  CONSTRAINT `FK_ingreddetl_borhead` FOREIGN KEY (`parent_id_norm`) REFERENCES `borhead` (`id_norm`),
  CONSTRAINT `FK_ingreddetl_ingreddetl` FOREIGN KEY (`parent_num`) REFERENCES `ingreddetl` (`id_ingred_detl`),
  CONSTRAINT `FK_ingreddetl_ingredhead` FOREIGN KEY (`id_ingred`) REFERENCES `ingredhead` (`id_ingred`) ON DELETE CASCADE,
  CONSTRAINT `FK_ingreddetl_product` FOREIGN KEY (`primary_item_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_ingreddetl_product_2` FOREIGN KEY (`parent_item_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_ingreddetl_product_3` FOREIGN KEY (`child_item_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_ingreddetl_product_4` FOREIGN KEY (`subst_prod_code`) REFERENCES `product` (`prod_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Složení výrobku řádky';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.ingredhead
CREATE TABLE IF NOT EXISTS `ingredhead` (
  `id_ingred` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Číslo výpočtu složení výrobku',
  `nsvalid_date` date NOT NULL COMMENT 'Datum platnosti NS, pro který se provedl',
  `type_ind` char(2) NOT NULL DEFAULT '00' COMMENT 'Typ normy spotřeby',
  `primary_item_code` char(15) NOT NULL COMMENT 'Kód karty výrobku ',
  `tot_iss_weight` double NOT NULL DEFAULT '0' COMMENT 'Hmotnost v gramech dle NS (MJ výr.)\\nNEUPEČENÝ VÝROBEK. \\n Celkové potřebné množství suroviny v gramech na jeden výrobeknebo\\n Celkové potřebné množství suroviny v Kg na 1000 MJ výrobků',
  `tot_iss100_weight` double NOT NULL DEFAULT '0' COMMENT 'Hmotnost v gramech dle NS (100 g výr.) \\n NEUPEČENÝ VÝROBEK (100 g) \\n Celkové požadované množství surovin v greamech na 100 g výrobku',
  `vypek_g` double NOT NULL DEFAULT '0' COMMENT 'Výpek v gramech',
  `vypek_per` double NOT NULL DEFAULT '0' COMMENT 'Výpek %',
  `vypek_tot` double NOT NULL DEFAULT '0' COMMENT 'Celkem výpek',
  `reduct_weight` double NOT NULL DEFAULT '0' COMMENT 'Po zpracování',
  `entry_date` date DEFAULT NULL COMMENT 'Datum zápisu',
  `entry_time` char(5) DEFAULT NULL COMMENT 'Čas zápisu',
  `entry_code` char(8) DEFAULT NULL COMMENT 'Uživatel',
  `ingred_text` varchar(3000) DEFAULT NULL COMMENT 'Text Složení ',
  `allergen_text` varchar(1000) DEFAULT NULL COMMENT 'Text Alergeny',
  `valid_record` bit(1) DEFAULT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id_ingred`),
  KEY `FK_ingredhead_prodstatbatch` (`primary_item_code`),
  CONSTRAINT `FK_ingredhead_prodstatbatch` FOREIGN KEY (`primary_item_code`) REFERENCES `prodstatbatch` (`prod_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Hlavička složení výrobku ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.invdetl
CREATE TABLE IF NOT EXISTS `invdetl` (
  `inv_id_detl` int(11) NOT NULL AUTO_INCREMENT,
  `inv_id` int(11) DEFAULT NULL COMMENT 'Číslo faktury',
  `cust_code` char(8) DEFAULT NULL COMMENT 'Kód odběratele',
  `line_num` smallint(6) DEFAULT NULL COMMENT 'Číslo řádky faktury',
  `prod_code` char(15) DEFAULT NULL COMMENT 'Kód produktu ',
  `ware_code` char(3) DEFAULT NULL COMMENT 'Kód skladu',
  `cat_code` char(3) DEFAULT NULL COMMENT 'Kategorie produktu',
  `ord_qty` decimal(10,2) DEFAULT NULL COMMENT 'Objednané množství fakturované objednávky',
  `ship_qty` decimal(10,2) DEFAULT NULL COMMENT 'Dodané množství fakturované objednávky',
  `line_text` char(40) DEFAULT NULL COMMENT 'Popis řádky faktury',
  `uom_code` char(4) DEFAULT NULL COMMENT 'Prodejní MJ',
  `unit_cost_amt` decimal(16,4) DEFAULT NULL COMMENT 'Jednotková nákladová cena v měně',
  `ext_cost_amt` decimal(16,2) DEFAULT NULL COMMENT 'Celková nákladová cena',
  `unit_sale_amt` decimal(16,4) DEFAULT NULL COMMENT 'Jednotková prodejní cena bez DPH ',
  `ext_sale_amt` decimal(16,4) DEFAULT NULL COMMENT 'Celková prodejní cena bez DPH ',
  `unit_tax_amt` decimal(16,4) DEFAULT NULL COMMENT 'Jednotková daň',
  `ext_tax_amt` decimal(16,4) DEFAULT NULL COMMENT 'Celková daň',
  `line_total_amt` decimal(16,4) DEFAULT NULL COMMENT 'Celková cena řádky včetně daně',
  `line_acct_code` char(18) DEFAULT NULL COMMENT 'Účet kontace',
  `tax_code` char(3) DEFAULT NULL COMMENT 'Kód daně',
  `analysis_text` char(30) DEFAULT NULL COMMENT 'Doplňková informace',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`inv_id_detl`),
  KEY `FK_invdetl_customer` (`cust_code`),
  KEY `FK_invdetl_invhead` (`inv_id`),
  KEY `FK_invdetl_product` (`prod_code`),
  KEY `FK_invdetl_warehouse` (`ware_code`),
  KEY `FK_invdetl_category` (`cat_code`),
  KEY `FK_invdetl_uom` (`uom_code`),
  KEY `FK_invdetl_coa` (`line_acct_code`),
  KEY `FK_invdetl_tax` (`tax_code`),
  CONSTRAINT `FK_invdetl_category` FOREIGN KEY (`cat_code`) REFERENCES `category` (`cat_code`),
  CONSTRAINT `FK_invdetl_coa` FOREIGN KEY (`line_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_invdetl_customer` FOREIGN KEY (`cust_code`) REFERENCES `customer` (`cust_code`),
  CONSTRAINT `FK_invdetl_invhead` FOREIGN KEY (`inv_id`) REFERENCES `invhead` (`inv_id`),
  CONSTRAINT `FK_invdetl_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_invdetl_tax` FOREIGN KEY (`tax_code`) REFERENCES `tax` (`tax_code`),
  CONSTRAINT `FK_invdetl_uom` FOREIGN KEY (`uom_code`) REFERENCES `uom` (`uom_code`),
  CONSTRAINT `FK_invdetl_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Řádky pohledávky';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.invhead
CREATE TABLE IF NOT EXISTS `invhead` (
  `inv_id` int(11) NOT NULL DEFAULT '0' COMMENT 'Číslo faktury',
  `cust_code` char(8) DEFAULT NULL COMMENT 'Kód odběratele',
  `ship_code` char(8) DEFAULT NULL COMMENT 'kód dodací adresy (příjemce) ',
  `ord_num` int(11) DEFAULT NULL COMMENT 'Interní číslo fakturované objednávky',
  `purchase_code` char(20) DEFAULT NULL COMMENT 'Číslo objednávky odběratele',
  `inv_date` date DEFAULT NULL COMMENT 'Datum vystavení faktury',
  `sale_code` char(8) DEFAULT NULL COMMENT 'Kód prodejce',
  `kind_code` char(3) DEFAULT NULL COMMENT 'Druh dokladu',
  `typ_pohl` char(8) DEFAULT NULL COMMENT 'Typ pohledávky',
  `currency_code` char(3) DEFAULT NULL COMMENT 'Měna',
  `conv_qty` double DEFAULT NULL COMMENT 'Směnný kurz ',
  `term_num` int(11) DEFAULT NULL COMMENT 'Implicitní počet dní splatnosti     ',
  `tax_code` char(3) DEFAULT NULL COMMENT 'Implicitní kód DPH ',
  `tax_per` decimal(5,3) DEFAULT NULL COMMENT 'Procento daně',
  `goods_amt` decimal(16,2) DEFAULT NULL COMMENT 'Celková částka faktury bez DPH v měně',
  `hand_amt` decimal(16,2) DEFAULT NULL COMMENT 'Poštovné - Částka v měně',
  `hand_tax_code` char(3) DEFAULT NULL COMMENT 'Poštovné - Kód daně',
  `hand_tax_amt` decimal(16,4) DEFAULT NULL COMMENT 'Poštovné - Částka daně v měně',
  `freight_amt` decimal(16,2) DEFAULT NULL COMMENT 'Doprava - Částka v měně',
  `freight_tax_code` char(3) DEFAULT NULL COMMENT 'Doprava - Kód daně',
  `freight_tax_amt` decimal(16,4) DEFAULT NULL COMMENT 'Doprava - Částka daně v měně',
  `tax_amt` decimal(16,2) DEFAULT NULL COMMENT 'Celková částka za daně v měně',
  `total_amt` decimal(16,2) NOT NULL COMMENT 'Celková fakturovaná částka v měně',
  `cost_amt` decimal(16,2) DEFAULT NULL COMMENT 'Celková částka nákladů v měně',
  `paid_amt` decimal(16,2) DEFAULT NULL COMMENT 'Zaplacená částka v měně',
  `paid_date` date DEFAULT NULL COMMENT 'Datum úplného zaplacení faktury',
  `due_date` date DEFAULT NULL COMMENT 'Datum splatnosti',
  `year_num` smallint(6) DEFAULT NULL COMMENT 'Účetní rok',
  `period_num` smallint(6) DEFAULT NULL COMMENT 'Účetní období',
  `ship_year_num` smallint(6) DEFAULT NULL COMMENT 'Daňový rok',
  `ship_period_num` smallint(6) DEFAULT NULL COMMENT 'Daňové období',
  `line_num` smallint(6) DEFAULT NULL COMMENT 'Počet řádek FA',
  `printed_num` smallint(6) DEFAULT NULL COMMENT 'Příznak vytištění FA ',
  `name_text` char(30) DEFAULT NULL COMMENT 'Jméno příjemce',
  `addr1_text` char(30) DEFAULT NULL COMMENT '1. řádka adresy',
  `addr2_text` char(30) DEFAULT NULL COMMENT '2. řádka adresy',
  `city_text` char(20) DEFAULT NULL COMMENT '3. řádka dodací adresy',
  `state_code` char(6) DEFAULT NULL COMMENT 'Region',
  `post_code` char(10) DEFAULT NULL COMMENT 'PSČ',
  `country_text` char(20) DEFAULT NULL COMMENT 'Stát',
  `ship_date` date DEFAULT NULL COMMENT 'Datum zdanitelného plnění (datum dodávky)',
  `prepaid_flag` char(1) DEFAULT NULL COMMENT 'Forma úhrady (P-PLatební příkaz, H-Hotově, I-Ihned) ',
  `com1_text` char(30) DEFAULT NULL COMMENT 'Komentář 1 k faktuře ',
  `com2_text` char(30) DEFAULT NULL COMMENT 'Komentař 2 k faktuře',
  `acct_override_code` char(18) DEFAULT NULL COMMENT 'Maska účtů',
  `price_tax_flag` char(1) DEFAULT NULL COMMENT 'Zadávat cenu včetně DPH ? Y/N',
  `contact_text` char(30) DEFAULT NULL COMMENT 'Kontaktní osoba v místě dodání',
  `tele_text` char(20) DEFAULT NULL COMMENT 'Telefonní číslo kontaktu v místě dodání',
  `ship_num` int(11) DEFAULT NULL COMMENT 'Číslo dodacího listu ',
  `zaok_dph` char(1) DEFAULT NULL COMMENT 'Má se provést zaokrouhlení DPH ? Y/N',
  `tot_netto` decimal(12,3) DEFAULT NULL COMMENT 'Celková hmotnost NETTO',
  `tot_brutto` decimal(12,3) DEFAULT NULL COMMENT 'Celková hmotnost BRUTTO',
  `entry_code` char(8) DEFAULT NULL COMMENT 'Kód uživatele, který zapsal fakturu',
  `entry_date` date DEFAULT NULL COMMENT 'Datum zápisu faktury',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`inv_id`),
  KEY `FK_invhead_customer` (`cust_code`),
  KEY `FK_invhead_tax` (`tax_code`),
  KEY `FK_invhead_tax_2` (`hand_tax_code`),
  KEY `FK_invhead_tax_3` (`freight_tax_code`),
  KEY `FK_invhead_custship` (`ship_code`),
  KEY `FK_invhead_shipstate` (`state_code`),
  KEY `FK_invhead_currency` (`currency_code`),
  KEY `FK_invhead_typpohl` (`typ_pohl`),
  KEY `FK_invhead_arkind` (`kind_code`),
  CONSTRAINT `FK_invhead_arkind` FOREIGN KEY (`kind_code`) REFERENCES `arkind` (`kind_code`),
  CONSTRAINT `FK_invhead_currency` FOREIGN KEY (`currency_code`) REFERENCES `currency` (`currency_code`),
  CONSTRAINT `FK_invhead_customer` FOREIGN KEY (`cust_code`) REFERENCES `customer` (`cust_code`),
  CONSTRAINT `FK_invhead_custship` FOREIGN KEY (`ship_code`) REFERENCES `custship` (`ship_code`),
  CONSTRAINT `FK_invhead_shipstate` FOREIGN KEY (`state_code`) REFERENCES `shipstate` (`state_code`),
  CONSTRAINT `FK_invhead_tax` FOREIGN KEY (`tax_code`) REFERENCES `tax` (`tax_code`),
  CONSTRAINT `FK_invhead_tax_2` FOREIGN KEY (`hand_tax_code`) REFERENCES `tax` (`tax_code`),
  CONSTRAINT `FK_invhead_tax_3` FOREIGN KEY (`freight_tax_code`) REFERENCES `tax` (`tax_code`),
  CONSTRAINT `FK_invhead_typpohl` FOREIGN KEY (`typ_pohl`) REFERENCES `typpohl` (`typ_pohl`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Pohledávka-hlavička ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.invtax
CREATE TABLE IF NOT EXISTS `invtax` (
  `inv_id_tax` int(11) NOT NULL COMMENT 'Unikátní ID pro tuto tabulku ',
  `inv_id` int(11) NOT NULL COMMENT 'Číslo pohledávky',
  `tax_code` char(3) DEFAULT NULL COMMENT 'Kód DPH',
  `tax_per` decimal(5,3) DEFAULT NULL COMMENT 'Procento daně',
  `tax_base` decimal(16,4) DEFAULT NULL COMMENT 'Základ daně ',
  `tax_amt` decimal(16,2) DEFAULT NULL COMMENT 'Částka daně ',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`inv_id_tax`),
  KEY `FK_invtax_tax` (`tax_code`),
  KEY `FK_invtax_invhead` (`inv_id`),
  CONSTRAINT `FK_invtax_invhead` FOREIGN KEY (`inv_id`) REFERENCES `invhead` (`inv_id`),
  CONSTRAINT `FK_invtax_tax` FOREIGN KEY (`tax_code`) REFERENCES `tax` (`tax_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Pohledávka-rekapitulace DPH ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.language
CREATE TABLE IF NOT EXISTS `language` (
  `language_code` char(3) NOT NULL COMMENT 'Kód jazyka',
  `language_text` varchar(100) DEFAULT NULL COMMENT 'Jméno jazyka',
  `yes_flag` char(1) DEFAULT NULL COMMENT 'Kladná odpověď',
  `no_flag` char(1) DEFAULT NULL COMMENT 'Záporná odpověď',
  `valid_flag` bit(1) NOT NULL DEFAULT b'0' COMMENT 'Platnost záznamu',
  PRIMARY KEY (`language_code`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Jazyky';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.materialingred
CREATE TABLE IF NOT EXISTS `materialingred` (
  `prod_code` char(15) NOT NULL COMMENT 'Produkt',
  `ingredient_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID složky suroviny',
  `desc_text` varchar(100) NOT NULL COMMENT 'Název složky',
  `ingredient_order` smallint(6) NOT NULL COMMENT 'Pořadí složky v surovině',
  `ingredient_per` decimal(5,3) DEFAULT NULL COMMENT 'Procento složky obsažené v surovině',
  `allergen_text` varchar(200) NOT NULL COMMENT 'Alergeny složky',
  `group_text` varchar(50) DEFAULT NULL COMMENT 'Skupina složek např. Tuky',
  `norm_text` varchar(200) NOT NULL COMMENT 'Normovaný popis složky',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`prod_code`,`ingredient_id`),
  KEY `Index 2` (`ingredient_id`),
  CONSTRAINT `FK_materialingred_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Složky v surovině';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.menu
CREATE TABLE IF NOT EXISTS `menu` (
  `menu_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID menu',
  `parent_menu_id` int(11) DEFAULT NULL COMMENT 'ID menu rodiče',
  `base_menu_text` char(80) DEFAULT NULL COMMENT 'Název hlavního menu',
  `desc_text` char(80) DEFAULT NULL COMMENT 'Popis menu',
  `security_ind` char(1) DEFAULT NULL COMMENT 'Uroveň oprávnění',
  `sort_key` smallint(6) DEFAULT NULL COMMENT 'Třídící klíč',
  `file` char(80) DEFAULT NULL COMMENT 'Název a cesta k souboru s formulářem',
  `sub_menu` char(1) DEFAULT NULL COMMENT 'Podmenu Y/N',
  `param` char(80) DEFAULT NULL COMMENT 'Parametry menu',
  `valid_flag` bit(1) NOT NULL DEFAULT b'0' COMMENT 'Platnost záznamu',
  PRIMARY KEY (`menu_id`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Menu IS';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.nutritionbill
CREATE TABLE IF NOT EXISTS `nutritionbill` (
  `nutri_id` char(4) NOT NULL COMMENT 'Kód nutričního údaje',
  `desc_text` varchar(80) DEFAULT NULL COMMENT 'Název nutričního údaje',
  `uom_code` char(4) DEFAULT NULL COMMENT 'MJ nutričního údaje',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platný záznam',
  PRIMARY KEY (`nutri_id`),
  KEY `FK_nutritionbill_uom` (`uom_code`),
  CONSTRAINT `FK_nutritionbill_uom` FOREIGN KEY (`uom_code`) REFERENCES `uom` (`uom_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Položky nutričních údajů ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.nutritionvalue
CREATE TABLE IF NOT EXISTS `nutritionvalue` (
  `prod_code` char(15) NOT NULL COMMENT 'Kód produktu',
  `id_ingred` int(11) NOT NULL COMMENT 'Číslo výpočtu složení výrobku',
  `nutri_id` char(4) NOT NULL COMMENT 'Kód nutričního údaje',
  `nutri_value` decimal(7,2) NOT NULL COMMENT 'Hodnota nutričního údaje',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`prod_code`,`nutri_id`),
  KEY `FK_nutritionvalue_ingredhead` (`id_ingred`),
  KEY `FK_nutritionvalue_nutritionbill` (`nutri_id`),
  CONSTRAINT `FK_nutritionvalue_ingredhead` FOREIGN KEY (`id_ingred`) REFERENCES `ingredhead` (`id_ingred`) ON DELETE CASCADE,
  CONSTRAINT `FK_nutritionvalue_nutritionbill` FOREIGN KEY (`nutri_id`) REFERENCES `nutritionbill` (`nutri_id`),
  CONSTRAINT `FK_nutritionvalue_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Hodnoty nutričních údajů produktů ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.orderdetl
CREATE TABLE IF NOT EXISTS `orderdetl` (
  `ord_id_detl` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID řádky objednávky',
  `ord_id` int(11) NOT NULL COMMENT 'ID hlavičky',
  `line_num` smallint(6) DEFAULT '0' COMMENT 'Číslo řádky objednávky',
  `prod_code` char(15) NOT NULL COMMENT 'Kód produktu z řádky objednávky',
  `ware_code` char(3) NOT NULL COMMENT 'Kód skladu zboží-přebíjí skl. v hlavičce',
  `desc_text` varchar(80) DEFAULT NULL COMMENT 'Popis řádky ',
  `cat_code` varchar(3) DEFAULT NULL COMMENT 'Kód kategorie produktu',
  `tax_code` char(3) DEFAULT NULL COMMENT 'Kód DPH',
  `acct_code` varchar(18) DEFAULT NULL COMMENT 'Účet tržeb',
  `uom_code` varchar(4) NOT NULL COMMENT 'Měrná jednotka',
  `order_qty` decimal(8,2) NOT NULL DEFAULT '0.00' COMMENT 'Objednané množství',
  `sched_qty` decimal(8,2) NOT NULL DEFAULT '0.00' COMMENT 'Rezervované množství',
  `inv_qty` decimal(8,2) NOT NULL DEFAULT '0.00' COMMENT 'Fakturované množství',
  `back_qty` decimal(8,2) NOT NULL DEFAULT '0.00' COMMENT 'Nekryté množství řádky objednávky',
  `picked_qty` decimal(8,2) NOT NULL DEFAULT '0.00' COMMENT 'Množství, které je určeno k výdeji',
  `conf_qty` decimal(8,2) NOT NULL DEFAULT '0.00' COMMENT 'Množství potvrzené jako dodané',
  `unit_price_amt` decimal(16,4) NOT NULL DEFAULT '0.0000' COMMENT 'JC produktu za množstevní koeficient ',
  `ext_price_amt` decimal(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Celková prodejní cena v měně',
  `unit_tax_amt` decimal(16,4) NOT NULL DEFAULT '0.0000' COMMENT 'Jednotková daň',
  `ext_tax_amt` decimal(16,4) NOT NULL DEFAULT '0.0000' COMMENT 'Celková daň (nezaokrouhlená)',
  `line_tot_amt` decimal(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Řádka celkem včetně daně',
  `unit_cost_amt` decimal(16,4) NOT NULL DEFAULT '0.0000' COMMENT 'Jednotková nákladová cena v měně ',
  `ext_cost_amt` decimal(16,2) DEFAULT NULL COMMENT 'Celková nákladová cena (skladová cena)',
  `package_qty` smallint(6) DEFAULT NULL COMMENT 'Počet obalů/palet ',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`ord_id_detl`),
  KEY `FK_orderdetl_product` (`prod_code`),
  KEY `FK_orderdetl_warehouse` (`ware_code`),
  KEY `FK_orderdetl_category` (`cat_code`),
  KEY `FK_orderdetl_coa` (`acct_code`),
  KEY `FK_orderdetl_tax` (`tax_code`),
  KEY `FK_orderdetl_uom` (`uom_code`),
  KEY `FK_orderdetl_orderhead` (`ord_id`),
  CONSTRAINT `FK_orderdetl_category` FOREIGN KEY (`cat_code`) REFERENCES `category` (`cat_code`),
  CONSTRAINT `FK_orderdetl_coa` FOREIGN KEY (`acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_orderdetl_orderhead` FOREIGN KEY (`ord_id`) REFERENCES `orderhead` (`ord_id`) ON DELETE CASCADE,
  CONSTRAINT `FK_orderdetl_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_orderdetl_tax` FOREIGN KEY (`tax_code`) REFERENCES `tax` (`tax_code`),
  CONSTRAINT `FK_orderdetl_uom` FOREIGN KEY (`uom_code`) REFERENCES `uom` (`uom_code`),
  CONSTRAINT `FK_orderdetl_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Objednávka - řádky';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.orderhead
CREATE TABLE IF NOT EXISTS `orderhead` (
  `ord_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID záznamu (Číslo objednávky)',
  `cust_code` varchar(8) NOT NULL COMMENT 'Kód odběratele',
  `ship_code` varchar(8) NOT NULL COMMENT 'Kód odběrního místa',
  `order_date` date NOT NULL COMMENT 'Požadované datum dodání',
  `ord_text` varchar(20) DEFAULT NULL COMMENT 'Číslo objednávky odběratele ',
  `ware_code` varchar(8) DEFAULT NULL COMMENT 'Kód skladu výdeje zboží',
  `term_code` varchar(3) NOT NULL COMMENT 'Kód splatnosti',
  `tax_code` varchar(3) NOT NULL COMMENT 'Implicitní kód DPH ',
  `tax_amt` decimal(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Celková částka DPH',
  `currency_code` varchar(3) NOT NULL DEFAULT 'CZK' COMMENT 'Měna',
  `goods_amt` decimal(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Celková cena zboží bez DPH',
  `total_amt` decimal(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Celková částka objednávky',
  `cost_amt` decimal(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Celková náklady',
  `hand_amt` decimal(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Částka za poštovné',
  `hand_tax_code` varchar(3) DEFAULT NULL COMMENT 'Kód daně pro poštovné',
  `hand_tax_amt` decimal(16,4) DEFAULT NULL COMMENT 'Částka DPH za poštovné',
  `freight_amt` decimal(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Částka za dopravu',
  `freight_tax_code` varchar(3) DEFAULT NULL COMMENT 'Kód daně pro dopravu',
  `freight_tax_amt` decimal(16,4) DEFAULT NULL COMMENT 'Částka DPH za dopravu',
  `pack_amt` decimal(16,2) NOT NULL DEFAULT '0.00' COMMENT 'Částka za balné',
  `pack_tax_code` varchar(3) DEFAULT NULL COMMENT 'DPH na balné',
  `pack_tax_amt` decimal(16,4) DEFAULT NULL COMMENT 'Částka BPH za balné',
  `status_ind` varchar(1) DEFAULT NULL COMMENT 'Stav objednávky ',
  `line_num` smallint(6) DEFAULT NULL COMMENT 'Počet řádek objednávky',
  `com1_text` varchar(30) DEFAULT NULL COMMENT 'Komentář 1',
  `com2_text` varchar(30) DEFAULT NULL COMMENT 'Komentář 2',
  `ship_name_text` varchar(80) DEFAULT NULL COMMENT 'Jméno odběrního místa',
  `ship_addr1_text` varchar(80) DEFAULT NULL COMMENT '1.řádka adresy OM',
  `ship_addr2_text` varchar(80) DEFAULT NULL COMMENT '2.řádka adresy OM',
  `ship_city_text` varchar(80) DEFAULT NULL COMMENT '3.řádka adresy OM',
  `state_code` varchar(6) DEFAULT NULL COMMENT 'Region OM',
  `post_code` varchar(10) DEFAULT NULL COMMENT 'PSČ na dodací adrese',
  `country_text` varchar(30) DEFAULT NULL COMMENT 'Stát z dodací adresy',
  `ship1_text` varchar(60) DEFAULT NULL COMMENT 'Kód poznámky do zápatí faktury ',
  `ship2_text` varchar(60) DEFAULT NULL COMMENT 'Způsob zacházení s poznámkou ',
  `ship_date` date NOT NULL COMMENT 'Datum skutečného dodání (Datum DPH)',
  `fob_text` varchar(20) DEFAULT NULL COMMENT 'Dodací podmínky',
  `prepaid_flag` varchar(1) NOT NULL COMMENT 'Forma úhrady ',
  `conv_qty` double NOT NULL DEFAULT '1' COMMENT 'Směnný kurs',
  `contact_text` varchar(30) DEFAULT NULL COMMENT 'Jméno nebo kontakt na Dodací Adrese',
  `tele_text` varchar(20) DEFAULT NULL COMMENT 'Telefonní číslo kontaktu na dodací adres',
  `ord_ind` varchar(1) DEFAULT NULL COMMENT 'Původ objednávky ',
  `ship_type` varchar(1) DEFAULT NULL COMMENT 'Způsob dopravy (0,1,2,3,9,N) ',
  `order_time` decimal(2,0) DEFAULT NULL COMMENT 'Čas dodání (až na místo)',
  `ship_time` decimal(2,0) DEFAULT NULL COMMENT 'Požadovaný čas dodání v rozmezí 0 až 24 ',
  `tot_netto` decimal(12,3) NOT NULL DEFAULT '0.000' COMMENT 'Celková čistá hmotnost',
  `tot_brutto` decimal(12,3) NOT NULL DEFAULT '0.000' COMMENT 'Celková hrubá hmotnost',
  `print_flag` varchar(1) DEFAULT NULL COMMENT 'Příznak vytištění DL ',
  `ship_ind` varchar(1) DEFAULT NULL COMMENT 'Příznak stavu DL ',
  `last_inv_num` int(11) DEFAULT NULL COMMENT 'Číslo poslední faktury ',
  `entry_code` varchar(8) DEFAULT NULL COMMENT 'Kód uživatele, který zapsal objednávku',
  `entry_date` date DEFAULT NULL COMMENT 'Datum, kdy byla objednávka zapsána',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`ord_id`),
  KEY `FK_orderhead_customer` (`cust_code`),
  KEY `FK_orderhead_custship` (`ship_code`),
  KEY `FK_orderhead_tax` (`tax_code`),
  KEY `FK_orderhead_tax_2` (`hand_tax_code`),
  KEY `FK_orderhead_tax_3` (`freight_tax_code`),
  KEY `FK_orderhead_tax_4` (`pack_tax_code`),
  KEY `FK_orderhead_shipstate` (`state_code`),
  KEY `FK_orderhead_currency` (`currency_code`),
  KEY `FK_orderhead_warehouse` (`ware_code`),
  CONSTRAINT `FK_orderhead_currency` FOREIGN KEY (`currency_code`) REFERENCES `currency` (`currency_code`),
  CONSTRAINT `FK_orderhead_customer` FOREIGN KEY (`cust_code`) REFERENCES `customer` (`cust_code`),
  CONSTRAINT `FK_orderhead_custship` FOREIGN KEY (`ship_code`) REFERENCES `custship` (`ship_code`),
  CONSTRAINT `FK_orderhead_shipstate` FOREIGN KEY (`state_code`) REFERENCES `shipstate` (`state_code`),
  CONSTRAINT `FK_orderhead_tax` FOREIGN KEY (`tax_code`) REFERENCES `tax` (`tax_code`),
  CONSTRAINT `FK_orderhead_tax_2` FOREIGN KEY (`hand_tax_code`) REFERENCES `tax` (`tax_code`),
  CONSTRAINT `FK_orderhead_tax_3` FOREIGN KEY (`freight_tax_code`) REFERENCES `tax` (`tax_code`),
  CONSTRAINT `FK_orderhead_tax_4` FOREIGN KEY (`pack_tax_code`) REFERENCES `tax` (`tax_code`),
  CONSTRAINT `FK_orderhead_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Hlavička objednávky';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.prodbatch
CREATE TABLE IF NOT EXISTS `prodbatch` (
  `batch_id_num` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Identifikační číslo šarže',
  `prod_code` char(15) NOT NULL COMMENT 'Kód produktu',
  `supplier_code` char(8) NOT NULL COMMENT 'Dodavatel dodávky',
  `production_date` date DEFAULT NULL COMMENT 'Datum výroby',
  `expire_date` date DEFAULT NULL COMMENT 'Datum trvanlivosti',
  `vend_batch_code` char(20) DEFAULT NULL COMMENT 'Šarže výrobce',
  `supplier_type` char(1) NOT NULL COMMENT 'Typ dodavatele\nHodnoty: \nE = externí\nV = vlastní',
  `mnf_batch_ind` char(1) NOT NULL COMMENT 'Typ výrobní šarže \nHodnoty:D=datum výroby ve tvaru RRnnn (nnn=pořadové číslo dne v roce)\nT = textová informace',
  `bar_code` char(15) DEFAULT NULL COMMENT 'Čárový kód šarže',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`batch_id_num`),
  KEY `FK_prodbatch_product` (`prod_code`),
  KEY `FK_prodbatch_vendor` (`supplier_code`),
  CONSTRAINT `FK_prodbatch_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_prodbatch_vendor` FOREIGN KEY (`supplier_code`) REFERENCES `vendor` (`vend_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Karta šarže produktu ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.prodledg
CREATE TABLE IF NOT EXISTS `prodledg` (
  `id_num` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní klíč v rámci tabulky',
  `prod_code` char(15) NOT NULL COMMENT 'Kód produktu',
  `ware_code` char(3) NOT NULL COMMENT 'Kód skladu',
  `tran_date` date NOT NULL COMMENT 'Datum transakce s produktem',
  `trantype_ind` char(1) NOT NULL COMMENT 'Typ transakce ',
  `year_num` smallint(6) NOT NULL COMMENT 'Účetní rok',
  `period_num` smallint(6) NOT NULL COMMENT 'Účetní období',
  `source_text` char(8) DEFAULT NULL COMMENT 'Referenční kód ',
  `source_num` int(11) DEFAULT NULL COMMENT 'Referenční číslo ',
  `tran_qty` decimal(12,4) NOT NULL COMMENT 'Množství pohybu ve skladové měrné jedn.',
  `cost_amt` decimal(16,4) NOT NULL COMMENT 'Jednotková cena v zákl.měně',
  `sales_amt` decimal(16,4) NOT NULL COMMENT 'Prodejní cena pohybu - v základní měně',
  `post_flag` char(1) NOT NULL COMMENT 'Příznak zaúčtování ',
  `jour_num` int(11) DEFAULT NULL COMMENT 'Číslo účetní dávky',
  `desc_text` char(30) DEFAULT NULL COMMENT 'Popis transakce ',
  `acct_code` char(18) NOT NULL COMMENT 'Účet kontace v HK',
  `bal_amt` decimal(16,4) NOT NULL COMMENT 'Stav produktu na skladě po pohybu',
  `analysis_text` char(30) DEFAULT NULL COMMENT 'Doplňková informace ',
  `dokl_code` char(1) DEFAULT NULL COMMENT 'Druh pohybu ',
  `entry_code` char(8) DEFAULT NULL COMMENT 'Zapsal',
  `entry_time` datetime DEFAULT NULL COMMENT 'Datum a čas zápisu',
  `valid_flag` bit(1) NOT NULL COMMENT 'TRUE - Platný záznam\\\\\\\\nFALSE - Zrušený záznam',
  PRIMARY KEY (`id_num`),
  KEY `FK_prodledg_product` (`prod_code`),
  KEY `FK_prodledg_warehouse` (`ware_code`),
  CONSTRAINT `FK_prodledg_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_prodledg_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Skladový pohyb-detail ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.prodledgbatch
CREATE TABLE IF NOT EXISTS `prodledgbatch` (
  `batch_seq_num` int(11) NOT NULL AUTO_INCREMENT COMMENT 'pořadové číslo pohybu zásoby šarže',
  `batch_id_num` int(11) NOT NULL COMMENT 'ID šarže',
  `batch_stat_num` int(11) NOT NULL COMMENT 'Poř.číslo šaržové zásoby',
  `prod_code` char(15) NOT NULL COMMENT 'kód produktu',
  `ware_code` char(3) NOT NULL COMMENT 'kód skladu',
  `place_code` char(3) NOT NULL COMMENT 'kód umístění',
  `seq_num` int(11) NOT NULL COMMENT 'Pořadové číslo skladového pohybu',
  `desc_text` varchar(80) DEFAULT NULL COMMENT 'Popis pohybu',
  `trantype_ind` char(1) NOT NULL COMMENT 'indikátor pohybu a=Inicializace šarží\\nb=Převod šarží mezi dvěma umístěními v jednom skladu\\n c=Změna šaržové identifikace (převod mezi šaržemi) v rámci skladu a umístění\\nd=Korekce stavu šarže beze změny stavu skladu\\n e=Deaktivace šaržové evidence ',
  `kind_code` char(1) NOT NULL COMMENT 'typ pohybu P/V (příjem/výdej)',
  `source_num` int(11) NOT NULL COMMENT 'Číslo dokladu',
  `line_num` smallint(6) NOT NULL COMMENT 'Řádka dokladu',
  `ship_date` date DEFAULT NULL COMMENT 'datum expedice',
  `tran_date` date NOT NULL COMMENT 'datum transakce',
  `tran_qty` decimal(16,4) DEFAULT NULL COMMENT 'množství pohybu',
  `entry_date` date DEFAULT NULL COMMENT 'datum zápisu',
  `entry_time` datetime DEFAULT NULL COMMENT 'čas zápisu',
  `entry_code` char(8) DEFAULT NULL COMMENT 'Zapsal',
  `valid_flag` bit(1) NOT NULL COMMENT 'Zapsal',
  PRIMARY KEY (`batch_seq_num`),
  KEY `FK_prodledgbatch_prodbatch` (`batch_id_num`),
  KEY `FK_prodledgbatch_product` (`prod_code`),
  KEY `FK_prodledgbatch_warehouse` (`ware_code`),
  KEY `FK_prodledgbatch_prodledg` (`seq_num`),
  CONSTRAINT `FK_prodledgbatch_prodbatch` FOREIGN KEY (`batch_id_num`) REFERENCES `prodbatch` (`batch_id_num`) ON DELETE CASCADE,
  CONSTRAINT `FK_prodledgbatch_prodledg` FOREIGN KEY (`seq_num`) REFERENCES `prodledg` (`id_num`),
  CONSTRAINT `FK_prodledgbatch_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_prodledgbatch_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Pohyby šarží ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.prodstat
CREATE TABLE IF NOT EXISTS `prodstat` (
  `id_num` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní klíč v rámci tabulky',
  `prod_code` char(15) NOT NULL COMMENT 'Kód produktu',
  `ware_code` char(3) NOT NULL COMMENT 'Kód skladu',
  `onhand_qty` decimal(12,4) NOT NULL COMMENT 'Aktuální stav zásoby na skladě ',
  `onord_qty` decimal(12,4) NOT NULL COMMENT 'Nedodané množství z nákupních objednávek',
  `reserved_qty` decimal(12,4) NOT NULL COMMENT 'Rezervováno pro prodej ',
  `back_qty` decimal(12,4) NOT NULL COMMENT 'Nekryté množství produktu ',
  `reorder_qty` decimal(12,4) DEFAULT NULL COMMENT 'Obvykle objednávané množství ',
  `max_qty` decimal(12,4) DEFAULT NULL COMMENT 'Maximální povolený stav zásoby na skladě',
  `critical_qty` decimal(12,4) DEFAULT NULL COMMENT 'Kritické množství na skladě ',
  `list_amt` decimal(16,4) DEFAULT NULL COMMENT 'Základní ceníková cena',
  `price1_amt` decimal(16,4) DEFAULT NULL COMMENT 'Cena v 1.cenové hladině',
  `price2_amt` decimal(16,4) DEFAULT NULL COMMENT 'Cena v 2.cenové hladině',
  `price3_amt` decimal(16,4) DEFAULT NULL COMMENT 'Cena v 3.cenové hladině',
  `last_price_date` date DEFAULT NULL COMMENT 'Datum poslední změny ceníku',
  `est_cost_amt` decimal(16,4) DEFAULT NULL COMMENT 'Obvyklá skladová standardní cena',
  `act_cost_amt` decimal(16,4) DEFAULT NULL COMMENT 'Cena posledního příjmu v základní měně ',
  `wgted_cost_amt` decimal(16,4) NOT NULL COMMENT 'Aktuální skladová cena ',
  `bin1_text` char(15) DEFAULT NULL COMMENT 'Umístění 1',
  `bin2_text` char(15) DEFAULT NULL COMMENT 'Umístění 2',
  `bin3_text` char(15) DEFAULT NULL COMMENT 'Umístění 3',
  `last_sale_date` date DEFAULT NULL COMMENT 'Datum posledního výdeje',
  `last_receipt_date` date DEFAULT NULL COMMENT 'Datum posledního příjmu',
  `stocked_flag` char(1) NOT NULL COMMENT 'Označení skladovaného produktu (Y/N) ',
  `abc_ind` char(1) DEFAULT NULL COMMENT 'Označení dle metody ABC',
  `reserve_flag` char(1) NOT NULL COMMENT 'Indikátor,zda je produkt rezervován ',
  `batch_ind` char(1) NOT NULL COMMENT 'indikátor sledování šarží ',
  `batch_method` char(1) NOT NULL COMMENT 'Metoda řízení evidence šarží ',
  `place_flag` char(1) NOT NULL COMMENT 'Evidence šarží dle místění ve skladu A/N',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`id_num`),
  UNIQUE KEY `prod_code_ware_code` (`prod_code`,`ware_code`),
  KEY `FK_prodstat_product` (`prod_code`),
  KEY `FK_prodstat_warehouse` (`ware_code`),
  CONSTRAINT `FK_prodstat_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_prodstat_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Skladová karta ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.prodstatbatch
CREATE TABLE IF NOT EXISTS `prodstatbatch` (
  `prod_code` char(15) NOT NULL COMMENT 'kód produktu',
  `ware_code` char(3) NOT NULL COMMENT 'kód skladu',
  `batch_id_num` int(11) NOT NULL COMMENT 'Identifikační číslo šarže ',
  `place_code` char(3) NOT NULL COMMENT 'kód umístění',
  `batch_stat_num` int(11) NOT NULL DEFAULT '0' COMMENT 'Pořadové číslo šaržové zásoby . Jen pro FIFO pro ostaní 0',
  `onbatch_qty` decimal(16,4) NOT NULL DEFAULT '0.0000' COMMENT 'Aktuální stav množství šarže',
  `zero_flag` char(1) NOT NULL DEFAULT 'N' COMMENT 'Nulový stav karty A/N',
  `bar_code` char(15) DEFAULT NULL COMMENT 'Čárový kód šarže',
  `valid_flag` bit(1) DEFAULT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`prod_code`,`ware_code`,`batch_id_num`),
  KEY `FK_prodstatbatch_warehouse` (`ware_code`),
  CONSTRAINT `FK_prodstatbatch_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_prodstatbatch_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Šarže produktu';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.product
CREATE TABLE IF NOT EXISTS `product` (
  `prod_code` char(15) NOT NULL COMMENT 'Kód produktu',
  `desc_text` char(40) DEFAULT NULL COMMENT 'Popis produktu ',
  `desc2_text` char(40) DEFAULT NULL COMMENT 'Druhá řádka pro popis produktu ',
  `cat_code` char(3) DEFAULT NULL COMMENT 'Kategorie produktu ',
  `class_code` char(8) DEFAULT NULL COMMENT 'Skladovací třída ',
  `alter_part_code` char(15) DEFAULT NULL COMMENT 'Alternativní produkt ',
  `tariff_code` char(12) DEFAULT NULL COMMENT 'Kód celního sazebníku',
  `oem_text` char(30) DEFAULT NULL COMMENT 'Kód produktu u dodavatele ',
  `weight_qty` decimal(12,3) DEFAULT NULL COMMENT 'Čistá váha produktu v kg (netto) ',
  `cubic_qty` decimal(10,4) DEFAULT NULL COMMENT 'Objem jednotky v metrech krychlových',
  `setup_date` date DEFAULT NULL COMMENT 'Datum zapsání záznamu o produktu',
  `target_turn_qty` decimal(7,3) DEFAULT NULL COMMENT 'Cílový obrat zásob',
  `stock_turn_qty` decimal(7,3) DEFAULT NULL COMMENT 'Aktuální obrat zásob',
  `stock_days_num` decimal(7,0) DEFAULT NULL COMMENT 'Počet dní uložení produktu ve skladu',
  `stock_uom_code` char(4) DEFAULT NULL COMMENT 'MJ skladu',
  `outer_qty` decimal(9,2) DEFAULT NULL COMMENT 'Množství v obalu (např. v kartonu,apod.)',
  `outer_sur_per` decimal(5,2) DEFAULT NULL COMMENT 'Přirážka za balení v procentech',
  `bar_code_text` char(20) DEFAULT NULL COMMENT 'Označení produktu v čárovém kódu - EAN',
  `days_lead_num` smallint(6) DEFAULT NULL COMMENT 'Průměrná dodací lhůta pro nakup.produkt',
  `vend_code` char(8) DEFAULT NULL COMMENT 'Obvyklý dodavatel',
  `min_ord_qty` decimal(12,4) DEFAULT NULL COMMENT 'Min.objednatelné množství nákup',
  `days_warr_num` int(11) DEFAULT NULL COMMENT 'Záruční lhůta udána ve dnech',
  `size2` decimal(7,2) DEFAULT NULL COMMENT 'Rozměr 2 v mm',
  `size3` decimal(7,2) DEFAULT NULL COMMENT 'Rozměr 3 v mm',
  `bruto_qty` decimal(12,3) DEFAULT NULL COMMENT 'Hrubá váha produktu v kg (brutto)',
  `price_conv` int(11) DEFAULT NULL COMMENT 'Počet MJ,za který je stanovena prod.cena',
  `batch_ind` char(1) DEFAULT NULL COMMENT 'Příznak sledování šarží A/N',
  `expire_ind` char(1) DEFAULT NULL COMMENT 'Povinnost data trvanlivosti A/N',
  `discarded_flag` char(1) NOT NULL COMMENT 'Vyřazený produkt A/N ',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`prod_code`),
  KEY `FK_product_category` (`cat_code`),
  KEY `FK_product_class` (`class_code`),
  KEY `FK_product_product` (`alter_part_code`),
  KEY `FK_product_tariff` (`tariff_code`),
  KEY `FK_product_uom` (`stock_uom_code`),
  CONSTRAINT `FK_product_category` FOREIGN KEY (`cat_code`) REFERENCES `category` (`cat_code`),
  CONSTRAINT `FK_product_class` FOREIGN KEY (`class_code`) REFERENCES `class` (`class_code`),
  CONSTRAINT `FK_product_product` FOREIGN KEY (`alter_part_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_product_tariff` FOREIGN KEY (`tariff_code`) REFERENCES `tariff` (`tariff_code`),
  CONSTRAINT `FK_product_uom` FOREIGN KEY (`stock_uom_code`) REFERENCES `uom` (`uom_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Produkt (Výrobek, zboží, materiál atd.)';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.quality
CREATE TABLE IF NOT EXISTS `quality` (
  `id_num` int(11) NOT NULL DEFAULT '0' COMMENT 'Unikátní číslo záznamu',
  `test_date` date NOT NULL COMMENT 'Datum měření',
  `test_code` char(2) NOT NULL COMMENT 'Kód testu \\nHodnoty\\nO1-=-Obilí - po prvním nakropení\\nO2-=-Obilí - po druhém nakropení\\nJB-=-Jedlé balené\\nJP-=-Jedlé pytlované\\nJV-=-Jedlé volné\\nKV-=-Krmné volné\\nOS-=-Obilí - výstup ze sila\\nPM-=-Obilí - produkty mletí\\nST-=-Obilí - STOP zkouška\\n',
  `id_silolist` int(11) NOT NULL COMMENT 'ID přířazení sila k produktu',
  `silo_code` char(2) NOT NULL COMMENT 'Kód zásobníku',
  `prod_code` char(15) NOT NULL COMMENT 'Kód obilí',
  `item_code` char(15) DEFAULT NULL COMMENT 'Kód produktu mletí z obilí. Pro O1,O2 a OS nevyplněno (NULL)',
  `vlhkost` decimal(3,1) DEFAULT NULL COMMENT 'Procento vlhkosti',
  `popel` decimal(5,2) DEFAULT NULL COMMENT 'Procento popele',
  `lepek` decimal(3,1) DEFAULT NULL COMMENT 'Procento lepku',
  `granulace_1` decimal(4,1) DEFAULT NULL COMMENT 'Číslo granulace 1',
  `granulace_2` decimal(3,1) DEFAULT NULL COMMENT 'Číslo granulace 2',
  `pokles` smallint(6) DEFAULT NULL COMMENT 'Číslo poklesu v sekundách',
  `skrob` decimal(5,1) DEFAULT NULL COMMENT 'Škrob g/Kg',
  `vlaknina` decimal(5,1) DEFAULT NULL COMMENT 'Vláknina g/Kg',
  `ockovitost` decimal(2,0) DEFAULT NULL COMMENT 'Očkovitost',
  `n_latky` decimal(5,1) DEFAULT NULL COMMENT 'N látky g/Kg',
  `pach` char(1) DEFAULT NULL COMMENT 'Prach',
  `skudci` char(1) DEFAULT NULL COMMENT 'Škudci',
  `stop_num` int(11) DEFAULT NULL COMMENT 'Číslo stop zkoušky',
  `gluten_index` decimal(5,1) DEFAULT NULL COMMENT 'Procento gluten indexu',
  `maltoza` decimal(5,1) DEFAULT NULL COMMENT 'Procento maltózy',
  `tuk` decimal(4,1) DEFAULT NULL COMMENT 'Tuk g/Kg',
  `entry_date` date DEFAULT NULL COMMENT 'Datum zápisu',
  `entry_code` char(8) DEFAULT NULL COMMENT 'Kód autora zápisu',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id_num`),
  KEY `FK_quality_product_2` (`item_code`),
  KEY `FK_quality_product` (`prod_code`),
  KEY `FK_quality_silo` (`silo_code`),
  KEY `FK_quality_silolist` (`id_silolist`),
  CONSTRAINT `FK_quality_silolist` FOREIGN KEY (`id_silolist`) REFERENCES `silolist` (`id_num`),
  CONSTRAINT `FK_quality_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_quality_product_2` FOREIGN KEY (`item_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_quality_silo` FOREIGN KEY (`silo_code`) REFERENCES `silo` (`silo_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Jakost obilí nebo MOUK';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.shipcategory
CREATE TABLE IF NOT EXISTS `shipcategory` (
  `cat_code` char(3) NOT NULL COMMENT 'Kód kategorie OM',
  `desc_text` char(30) DEFAULT NULL COMMENT 'Popis kategorie OM',
  `valid_flag` bit(1) NOT NULL COMMENT 'TRUE - Platný záznam FALSE - Zrušený záznam',
  PRIMARY KEY (`cat_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Kategorie odběrních míst\r\n';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.shipstate
CREATE TABLE IF NOT EXISTS `shipstate` (
  `state_code` varchar(10) NOT NULL COMMENT 'Kód regionu',
  `name_text` varchar(100) DEFAULT NULL COMMENT 'Název regionu',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`state_code`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Regiony OM';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.silo
CREATE TABLE IF NOT EXISTS `silo` (
  `silo_code` char(8) NOT NULL DEFAULT '' COMMENT 'Kód zásobníku',
  `desc_text` varchar(80) DEFAULT NULL COMMENT 'Název zásobníku',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`silo_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Zásobníky';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.silolist
CREATE TABLE IF NOT EXISTS `silolist` (
  `id_num` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Unikátní číslo záznamu',
  `prod_code` char(15) DEFAULT NULL COMMENT 'Kód produktu',
  `silo_code` char(8) DEFAULT NULL COMMENT 'Kód zásobníku',
  `valid_flag` bit(1) DEFAULT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`id_num`),
  KEY `FK_silolist_product` (`prod_code`),
  KEY `FK_silolist_silo` (`silo_code`),
  CONSTRAINT `FK_silolist_silo` FOREIGN KEY (`silo_code`) REFERENCES `silo` (`silo_code`),
  CONSTRAINT `FK_silolist_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Přiřazení zásobníku produktům';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.stockdetl
CREATE TABLE IF NOT EXISTS `stockdetl` (
  `stock_id_detl` int(11) NOT NULL AUTO_INCREMENT COMMENT 'Kód společnosti',
  `stock_id` int(11) DEFAULT NULL COMMENT 'ID stockheadu',
  `receipt_num` int(11) DEFAULT NULL COMMENT 'Číslo příjemky',
  `line_num` smallint(6) DEFAULT NULL COMMENT 'Číslo řádky příjemky',
  `prod_code` char(15) DEFAULT NULL COMMENT 'Kód produktu',
  `desc_text` char(40) DEFAULT NULL COMMENT 'Popis produktu',
  `tran_qty` decimal(12,4) DEFAULT NULL COMMENT 'Množství na řádce v měrné jednotce sklad',
  `cost_amt` decimal(16,4) DEFAULT NULL COMMENT 'Jednotková cena ',
  `tot_amt` decimal(16,2) DEFAULT NULL COMMENT 'Celkem cena na řádce',
  `sales_amt` decimal(16,4) DEFAULT NULL COMMENT 'Jednotková prodejní cena ',
  `ship_date` date DEFAULT NULL COMMENT 'Datum zdanitelného plnění',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`stock_id_detl`),
  KEY `FK_stockdetl_stockhead` (`stock_id`),
  KEY `FK_stockdetl_product` (`prod_code`),
  CONSTRAINT `FK_stockdetl_product` FOREIGN KEY (`prod_code`) REFERENCES `product` (`prod_code`),
  CONSTRAINT `FK_stockdetl_stockhead` FOREIGN KEY (`stock_id`) REFERENCES `stockhead` (`stock_id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Řádka skladového dokladu';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.stockhead
CREATE TABLE IF NOT EXISTS `stockhead` (
  `stock_id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'ID záznamu',
  `type_stock` char(1) NOT NULL COMMENT 'Typ Doklad: P-Příjemka, V-Výdejka',
  `ref_text` char(15) DEFAULT NULL COMMENT 'Prvotní doklad ',
  `tran_date` date NOT NULL COMMENT 'Datum dokladu',
  `year_num` smallint(6) NOT NULL COMMENT 'Účetní rok',
  `period_num` smallint(6) NOT NULL COMMENT 'Účetní období',
  `ware_code` char(3) NOT NULL COMMENT 'Kód skladu, kam se přijímá',
  `override_code` char(18) DEFAULT NULL COMMENT 'Maska účtu příjmu - středisko ',
  `acct_code` char(18) DEFAULT NULL COMMENT 'Účet příjmu ',
  `vend_code` char(8) DEFAULT NULL COMMENT 'Kód odběratele pro vratky',
  `entry_code` char(8) DEFAULT NULL COMMENT 'Zapsal',
  `entry_date` date DEFAULT NULL COMMENT 'Datum zápisu příjemky',
  `print_flag` char(1) DEFAULT NULL COMMENT 'Příznak, zda byla příjemka vytištěna ',
  `com1_text` char(30) DEFAULT NULL COMMENT 'Poznámka 1',
  `com2_text` char(30) DEFAULT NULL COMMENT 'Poznámka 2',
  `ship_date` date NOT NULL COMMENT 'Datum zdanitelného plnění ',
  `place_code` char(3) DEFAULT NULL COMMENT 'Kód umístění',
  `valid_flag` bit(1) DEFAULT NULL,
  PRIMARY KEY (`stock_id`),
  KEY `FK_stockhead_warehouse` (`ware_code`),
  KEY `FK_stockhead_coa` (`acct_code`),
  CONSTRAINT `FK_stockhead_coa` FOREIGN KEY (`acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_stockhead_warehouse` FOREIGN KEY (`ware_code`) REFERENCES `warehouse` (`ware_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Skladový doklad';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.tariff
CREATE TABLE IF NOT EXISTS `tariff` (
  `tariff_code` char(12) NOT NULL DEFAULT '' COMMENT 'Kód Celního Sazebníku',
  `desc_text` char(30) DEFAULT NULL COMMENT 'Popis celního sazebníku',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`tariff_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Celní sazebník';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.tax
CREATE TABLE IF NOT EXISTS `tax` (
  `tax_code` char(3) NOT NULL COMMENT 'Kód daně',
  `desc_text` varchar(100) DEFAULT NULL COMMENT 'Popis kódu daně',
  `tax_per` decimal(5,3) NOT NULL COMMENT '% sazba DPH',
  `start_date` date NOT NULL COMMENT 'Počáteční datum platnosti kódu DPH',
  `buy_acct_code` varchar(18) NOT NULL COMMENT 'Účet daně na vstupu',
  `sell_acct_code` varchar(18) NOT NULL COMMENT 'Účet daně na výstupu',
  `end_date` date DEFAULT NULL COMMENT 'Koncové datum platnosti DPH',
  `tax_type_ind` char(1) NOT NULL COMMENT 'Typ daňové sazby Hodnoty 1=Základní, 2=Snížená,3=Bez daně,4=Druhá snížená',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`tax_code`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Kódy DPH';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.typpohl
CREATE TABLE IF NOT EXISTS `typpohl` (
  `typ_pohl` varchar(8) NOT NULL COMMENT 'Kód typu pohledávky',
  `typ_pohl_desc` varchar(100) DEFAULT NULL COMMENT 'Popis typu pohledávky',
  `ar_acct_code` varchar(18) DEFAULT NULL COMMENT 'účet pohledávek (saldokontní)',
  `tax_code` char(3) DEFAULT NULL COMMENT 'Implicitní kód DPH pro řádky pohledávky',
  `acct_code` varchar(18) DEFAULT NULL COMMENT 'Účet tržeb pro typ pohledávky',
  `kind_code` char(3) DEFAULT NULL COMMENT 'Implicitní kód druhu dokladu',
  `type_flag` char(1) DEFAULT NULL COMMENT 'Příznak typu pohledávky Hodnoty D = Bonus – neúčetní, N = Běžná faktura, P = Úrok z prodlení (penalizační faktura), S = Bonus – účetní, V = Vnitropodniková faktura, X = Dohadná položka, Y = Daňový zálohový list (zálohová faktura daňová), Z = Zálohový list nedaňový (zálohová faktura nedaňová)',
  `valid_flag` bit(1) NOT NULL COMMENT 'Platnost záznamu',
  PRIMARY KEY (`typ_pohl`,`valid_flag`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Typy pohledávek';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.typzav
CREATE TABLE IF NOT EXISTS `typzav` (
  `typ_zav` char(8) NOT NULL DEFAULT '' COMMENT 'Kód typu závazku',
  `typ_zav_desc` char(30) DEFAULT NULL COMMENT 'Popis typu závazku',
  `pay_acct_code` char(18) DEFAULT NULL COMMENT 'Účet závazků (saldokontní)',
  `kind_code` char(3) DEFAULT NULL COMMENT 'Implicitní kód druhu dokladu',
  `type_flag` char(1) DEFAULT NULL COMMENT 'Příznak typu ',
  `metod_post_flag` char(1) DEFAULT NULL COMMENT 'Implicitní metoda účtování ',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`typ_zav`),
  KEY `FK_typzav_coa` (`pay_acct_code`),
  KEY `FK_typzav_apkind` (`kind_code`),
  CONSTRAINT `FK_typzav_apkind` FOREIGN KEY (`kind_code`) REFERENCES `apkind` (`kind_code`),
  CONSTRAINT `FK_typzav_coa` FOREIGN KEY (`pay_acct_code`) REFERENCES `coa` (`acct_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Typ závazku';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.uom
CREATE TABLE IF NOT EXISTS `uom` (
  `uom_code` char(4) NOT NULL DEFAULT '' COMMENT 'Kód MJ',
  `desc_text` char(30) DEFAULT NULL COMMENT 'Popis MJ',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`uom_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Měrné jednotky ';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.user
CREATE TABLE IF NOT EXISTS `user` (
  `user_code` char(8) NOT NULL DEFAULT '' COMMENT 'Přihlašovací jméno uživatele - login',
  `name_text` char(80) DEFAULT NULL COMMENT 'plné jméno',
  `security_ind` char(1) DEFAULT NULL COMMENT 'úroveň zabezpečení / přístupová úroveň',
  `password_text` char(80) DEFAULT NULL COMMENT 'heslo pro vstup do systému',
  `sign_on_date` date DEFAULT NULL COMMENT 'Datum nastavení',
  `phone_number` char(20) DEFAULT NULL COMMENT 'Telefonní číslo uživatele',
  `email` char(40) DEFAULT NULL COMMENT 'Email',
  `mobil_number` char(20) DEFAULT NULL COMMENT 'mobilní telefon',
  `fax_number` char(20) DEFAULT NULL COMMENT 'Fax',
  `admin_db` char(1) NOT NULL COMMENT 'Administrátor databáze (A/N)',
  `admin_is` char(1) NOT NULL COMMENT 'Administrátor informačního systému (A/N)',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`user_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Uživatelé systému';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.vendor
CREATE TABLE IF NOT EXISTS `vendor` (
  `vend_code` char(8) NOT NULL COMMENT 'Kód dodavatele',
  `name_text` varchar(80) DEFAULT NULL COMMENT 'Jméno dodavatele',
  `addr1_text` varchar(80) DEFAULT NULL COMMENT '1. řádka adresy',
  `addr2_text` varchar(80) DEFAULT NULL COMMENT '2. řádka adresy',
  `addr3_text` varchar(80) DEFAULT NULL COMMENT '3. řádka adresy',
  `city_text` varchar(40) DEFAULT NULL COMMENT 'Město',
  `state_code` varchar(6) DEFAULT NULL COMMENT 'Kód regionu (okresu)',
  `post_code` varchar(10) DEFAULT NULL COMMENT 'PSČ',
  `country_text` varchar(20) DEFAULT NULL COMMENT 'Název země',
  `country_code` varchar(3) DEFAULT NULL COMMENT 'Kód země',
  `language_code` varchar(3) DEFAULT NULL COMMENT 'Kód jazyka dodavatele',
  `type_code` varchar(3) DEFAULT NULL COMMENT 'Typ dodavatele',
  `term_num` int(11) DEFAULT NULL COMMENT 'Implicitní počet dní splatnosti     ',
  `setup_date` date DEFAULT NULL COMMENT 'Datum zápisu ',
  `tax_text` varchar(15) DEFAULT NULL COMMENT 'DIČ ',
  `our_acct_code` varchar(21) DEFAULT NULL COMMENT 'Kód našeho účtu v systému dodavatele',
  `contact_text` varchar(20) DEFAULT NULL COMMENT 'Kontaktní osoba u dodavatele ',
  `tele_text` varchar(20) DEFAULT NULL COMMENT 'Telefon',
  `email_text` varchar(80) DEFAULT NULL COMMENT 'E-mail',
  `extension_text` varchar(7) DEFAULT NULL COMMENT 'Linka na kontaktní osobu',
  `limit_amt` decimal(16,2) DEFAULT NULL COMMENT 'Limit úvěru ',
  `bal_amt` decimal(16,2) DEFAULT NULL COMMENT 'Aktuální saldo ',
  `highest_bal_amt` decimal(16,2) DEFAULT NULL COMMENT 'Nejvyšší dosažené saldo ',
  `curr_amt` decimal(16,2) DEFAULT NULL COMMENT 'Dluh do splatnosti ',
  `over1_amt` decimal(16,2) DEFAULT NULL COMMENT 'Dluh v rozmezí 1-30 dnů po splatnosti ',
  `over30_amt` decimal(16,2) DEFAULT NULL COMMENT 'Dluh v rozmezí 31-60 dnů po splatnosti ',
  `over60_amt` decimal(16,2) DEFAULT NULL COMMENT 'Dluh v rozmezí 61-90 dnů po splatnosti ',
  `over90_amt` decimal(16,2) DEFAULT NULL COMMENT 'Dluh v rozmezí 91 a více dnů po splatn.',
  `onorder_amt` decimal(16,2) DEFAULT NULL COMMENT 'Částka na nerealizovamých nákupních obj.',
  `avg_day_paid_num` smallint(6) DEFAULT NULL COMMENT 'Průměrné zpoždění platby ',
  `last_debit_date` date DEFAULT NULL COMMENT 'Datum posledního vrubopisu ',
  `last_po_date` date DEFAULT NULL COMMENT 'Datum posledního příjmu na NO ',
  `last_vouc_date` date DEFAULT NULL COMMENT 'Datum posledního závazku ',
  `last_payment_date` date DEFAULT NULL COMMENT 'Datum poslední platby ',
  `usual_acct_code` varchar(18) DEFAULT NULL COMMENT 'Obvyklý účet kontace ',
  `ytd_amt` decimal(16,2) DEFAULT NULL COMMENT 'Závazky celkem od počátku roku ',
  `min_ord_amt` decimal(16,2) DEFAULT NULL COMMENT 'Minimální objednatelné množství ',
  `drop_flag` varchar(1) DEFAULT NULL COMMENT 'Identifikace plátce DPH (A/N) ',
  `finance_per` varchar(1) DEFAULT NULL COMMENT 'Tisk protokolu odsouhlasení závazků(A/N)',
  `fax_text` varchar(20) DEFAULT NULL COMMENT 'Číslo faxu dodavatele',
  `currency_code` varchar(3) DEFAULT NULL COMMENT 'Kód měny, ve které dodavatel obchoduje ',
  `bank_acct_code` varchar(35) DEFAULT NULL COMMENT 'Číslo základního bankovního účtu ',
  `ico_num` varchar(12) DEFAULT NULL COMMENT 'IČO',
  `tran_batch_num` int(11) DEFAULT NULL COMMENT 'Číslo přenosu dat',
  `bic_code` varchar(12) DEFAULT NULL COMMENT 'BIC/SWIFT',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`vend_code`),
  KEY `FK_vendor_country` (`country_code`),
  KEY `FK_vendor_language` (`language_code`),
  KEY `FK_vendor_coa` (`usual_acct_code`),
  KEY `FK_vendor_currency` (`currency_code`),
  KEY `FK_vendor_vendortype` (`type_code`),
  CONSTRAINT `FK_vendor_coa` FOREIGN KEY (`usual_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_vendor_country` FOREIGN KEY (`country_code`) REFERENCES `country` (`country_code`),
  CONSTRAINT `FK_vendor_currency` FOREIGN KEY (`currency_code`) REFERENCES `currency` (`currency_code`),
  CONSTRAINT `FK_vendor_language` FOREIGN KEY (`language_code`) REFERENCES `language` (`language_code`),
  CONSTRAINT `FK_vendor_vendortype` FOREIGN KEY (`type_code`) REFERENCES `vendortype` (`type_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Dodavatel';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.vendortype
CREATE TABLE IF NOT EXISTS `vendortype` (
  `type_code` varchar(3) NOT NULL DEFAULT '' COMMENT 'Kód typu',
  `type_text` varchar(40) DEFAULT NULL COMMENT 'Popis typu',
  `pay_acct_code` varchar(18) DEFAULT NULL COMMENT 'Účet nedaňových záloh',
  `salestax_acct_code` varchar(18) DEFAULT NULL COMMENT 'Účet daňových záloh',
  `typ_zav_kr_plus` varchar(8) DEFAULT NULL COMMENT 'Implicitní typ závazku pro tento typ dod',
  `vend_class_id` varchar(1) DEFAULT NULL COMMENT 'Klasifikace typu dodavatele ',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`type_code`),
  KEY `FK_vendortype_coa` (`pay_acct_code`),
  KEY `FK_vendortype_coa_2` (`salestax_acct_code`),
  KEY `FK_vendortype_typzav` (`typ_zav_kr_plus`),
  CONSTRAINT `FK_vendortype_coa` FOREIGN KEY (`pay_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_vendortype_coa_2` FOREIGN KEY (`salestax_acct_code`) REFERENCES `coa` (`acct_code`),
  CONSTRAINT `FK_vendortype_typzav` FOREIGN KEY (`typ_zav_kr_plus`) REFERENCES `typzav` (`typ_zav`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Typ dodavatele';

-- Data exporting was unselected.


-- Dumping structure for table perut_www3_cz.warehouse
CREATE TABLE IF NOT EXISTS `warehouse` (
  `ware_code` char(3) NOT NULL DEFAULT '' COMMENT 'Kód skladu',
  `desc_text` char(30) DEFAULT NULL COMMENT 'popis skladu',
  `addr1_text` char(40) DEFAULT NULL COMMENT 'adresa skladu',
  `addr2_text` char(40) DEFAULT NULL COMMENT 'druhá řádka adresy skladu',
  `city_text` char(40) DEFAULT NULL COMMENT 'město, kde se sklad nachází',
  `state_code` char(6) DEFAULT NULL COMMENT 'stát/region, kde se sklad nachází',
  `post_code` char(10) DEFAULT NULL COMMENT 'PSČ adresy skladu',
  `country_code` char(40) DEFAULT NULL COMMENT 'Kód země',
  `contact_text` char(40) DEFAULT NULL COMMENT 'kontaktní osoba pro sklad',
  `tele_text` char(20) DEFAULT NULL COMMENT 'telefonní číslo',
  `acct_override_code` char(18) DEFAULT NULL COMMENT 'maska účtu skladu (středisko skladu)',
  `cost_ind` char(1) DEFAULT NULL COMMENT 'Metoda ocenění zásob',
  `valid_flag` bit(1) NOT NULL,
  PRIMARY KEY (`ware_code`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COMMENT='Sklady';

-- Data exporting was unselected.
/*!40014 SET FOREIGN_KEY_CHECKS=1 */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
