<?php
/**
 * @author Petr Ruttkay
 *
 */


require_once "./_class/formXmlRead.php";
require_once "./_class/prHtmlTable.php";
require_once "./_class/formTableCreator.php";
require_once "./_class/formGridCreator.php";

/**
 * 
 * Třída výtvoří vertikální nečbo horizontální BOX dle definice
 */
class FormBoxCreator
{
    private $pdo;
    private $updateSQL;
    private $formBox;
    private $htmlBox; 
    private $firstGrid = false;    
    
    /**
     * 
     * @param isPDO $pdo  - PDO připojení k DB
     * @param string $formID
     * @param FormBox $formBox
     * @param boolean $firstGrid
     */
    public function __construct(isPDO $pdo, $formID, FormBox $formBox, $firstGrid)
    {
        
        
        $this->pdo = $pdo;
        $this->formBox = $formBox;
        $this->firstGrid = $firstGrid;
        
        if ($formBox->getTypeBox() == FormStructure::HBOX){
            $table1 = new PrHtmlTable();            
            $table1->addRow();
        }
        
        $this->htmlBox = "";

        
        if ($formBox->getBoxTitle() != null){
            $this->htmlBox .= $title = generateTitle($formBox->getBoxTitle());


        }
        
        foreach($formBox->getBoxItems() as $boxItem) {
            if (is_a($boxItem, 'FormTable')) {
                if ($formBox->getArea() == "head"){
                    //Filtr pro tabulku se použví jen pro Tabulku v části hlavičky  
                    createWhereSQL($pdo, $formID);
                } else {
                    $_SESSION["whereSQL"] = null;
                }
                
                $tbCrt = new FormTableCreator($this->pdo, $boxItem, $formBox->getArea());
               
                if ($formBox->getTypeBox() == FormStructure::HBOX){
                    $table1->addRowCell($tbCrt->getHtml());                
                } else {
                    $this->htmlBox .= $tbCrt->getHtml();
                }
                
                
                if ($tbCrt->getUpdateSQL() != null)
                    $this->updateSQL = $tbCrt->getUpdateSQL();
            } else {
                
                $akceHtml = "";
                
               if ($this->firstGrid && (!$formBox->getFilter() || $formBox->getFilter() == null)) {
                    $this->firstGrid = false;
                    
                                        
                    if (isset($_SESSION["primaryKey"]) && $_SESSION["primaryKey"] != null){
                        if ($formBox->getGrid_detail_flag() != "N" && $_SESSION["print"] == false) {
                            $titleText = "DETAIL";
                            $akceHtml = generateActionText($titleText, prColors::BLUE_GREY_SKY, prColors::WHITE);
                            
                            if ($formBox->getCloneButton() == "Y") {
                                //Tlačítko pro kopii DB objektu
                                $formInsertAction = new PrHtmlForm("editAction", null);
                                $formInsertAction->setNoPrint();
                                $buttonName = getID4Clone();
                                $copyButtonHtml = $formInsertAction->publishCopyButtonNamed($buttonName, "Kopie");
                                $akceHtml .= $copyButtonHtml;
                            }
                            
                        }
                        
                    } else {
                        if ($formBox->getInsert_flag() != "N" || $_SESSION["insRow"] != "N") {
                            $titleText = "NOVÝ ZÁZNAM";
                            $_SESSION["showNewRec"] = true;
                            $akceHtml = generateActionText($titleText, prColors::RED_DARK, prColors::WHITE);
                        }    
                       
                    }                    
                              
               } else {
                   if ((isset($_SESSION["showNewRec"]) && $_SESSION["showNewRec"] == true)){
                        //NOVÝ ZÁZNAM - byl již zobrazen
                   } else {
//                        //NOVÝ ZÁZNAM - nebyl zobrazen
                       if ($formBox->getArea() == FormStructure::DETL) {
                           //jsem v řádce dokladu
                           if ($_SESSION["insRow"] == "Y") {
                               $titleText = "NOVÝ ZÁZNAM";
                               $akceHtml = generateActionText($titleText, prColors::RED_DARK, prColors::WHITE);
                               $_SESSION["showNewRec"] = true;
                           }
                       }
                   } 
                 
               }
               $tbCrt = new FormGridCreator($this->pdo, $formID, $boxItem, $formBox->getFilter(), $formBox->getArea());
                
                if ($formBox->getTypeBox() == FormStructure::HBOX){
                    $table1->addRowCell($akceHtml . $tbCrt->getHtml());
                } else {
                    $this->htmlBox .= $akceHtml;
                    $this->htmlBox .= $tbCrt->getHtml();
                }
                if ($tbCrt->getUpdateSQL() != null)
                    $this->updateSQL = $tbCrt->getUpdateSQL();     
            }
            
            
        }
        
        $tableFooter = null;
        
        if ($formBox->isShowButton() ) {
            $this->htmlBox .= generateFormButtons($formBox->getFilter());//$tableFooter->publish();
        }
        
        if ($formBox->getTypeBox() == FormStructure::HBOX){  
            if ($formBox->getBoxTitle() != null){
                $title = generateTitle($formBox->getBoxTitle());
                
            } else {
                $title = "";
            }
            

            if ($tableFooter == null){
                $this->htmlBox = $title . $table1->publish();
            } else {
                //U HBOX tlačítka rozbijí stránku. Tlačítka musí být například v tabulce tableTop/custselector
                $this->htmlBox = $title . $table1->publish();
                
            }
            
        }
        
    }
    
    /**
     * Funkce vrací výsledný HTML kód
     * @return string
     */
    public function getHtml()
    {
        return $this->htmlBox;
    }
    /**
     * Funkce vrací připravený SQL příkaz pro aktualizaci dat
     * @return string
     */
    public function getUpdateSQL()
    {
        return $this->updateSQL;
    }
    /**
     * 
     * Funkce vraci TRUE pokud se jedná o první grid.
     * @return boolean
     */
    public function getFirstGrid()
    {
        return $this->firstGrid;
    }


    
    
}

