<?php
/**
 * @author Petr Ruttkay
 *
 */

require_once "_class/prHtmlCoreISFree.php";
require_once "_class/prHtmlForm.php";
require_once "_class/prHtmlFieldSet.php";
require_once "_class/prHtmlTable.php";
require_once "_class/prHtmlText.php";



class PrAuthentication
{
   private $pdo;
   const TIMEOUT_MIN = 30;


   public function __construct(isPdo $pdo)
   {
      $this->pdo = $pdo;
   }


   function getLogoutLink()
   {
       // odhlášení - dotaz, přesměrování na stránku core/logout.php
      $js = '<script type="text/javascript" charset="UTF-8" src="./_js/logout.js"></script>';
      
      return $js . '<a href="javascript:logout()" title="Odhlášení z aplikace">' .
          '<img src="./_img/small/logout.png" alt="Odhlášení"></a>';
   }


   function getAuthName()
   {
      return $_SESSION["is_auth_name"];
   }


   function getAuthLogin()
   {
      return $_SESSION["is_auth_login"];
   }


   function checkAuth()
   {
      if (session_status() == PHP_SESSION_NONE)
      {
         ini_set('session.cookie_lifetime', 0);
         session_start();
      }
      
      
      
      $timeoutFlag = false;
      
      // timeout
      if (isset($_SESSION["login_time"]) &&
          (time() - $_SESSION["login_time"] >= self::TIMEOUT_MIN * 60))
      {
          // odhlášení z důvodu nečinnosti
         unset($_SESSION["is_auth_login"]);
         $timeoutFlag = true;
      }
      else
      {
         $_SESSION["login_time"] = time();
      }
      
      // uložení zadaného přihlášení
      if (PrHtmlCore::getParamOpt("auth_login") != null)
      {
         $this->saveAuth();
      }
      
      // přihlášení
      if (!isset($_SESSION["is_auth_login"]))
      {
         $this->entryAuth($timeoutFlag);
      }
   }


   function entryAuth($timeoutFlag)
   {
       $htmlCore = new PrHtmlCoreISFree();
       $htmlCore->htmlHeader('Přihlášení');
       $htmlCore->pageTitle('Přihlášení do IS');
      echo '<div align=center><br><br><br><br>';
      echo "<br>" . PrHtmlCore::getParamOpt("auth_login");
      echo "<br>";
      if (PrHtmlCore::getParamOpt("auth_login") != null)
      {
         // opakovaní zadání - odeslány chybné údaje
         echo "Neplatné přihlašovací údaje.\n";
      }
      else
      {
         if ($timeoutFlag)
         {
            echo "Došlo k odhlášení z důvodu nečinnosti po více než " . self::TIMEOUT_MIN .
                " minut.\n";
         }
      }
      
      echo '<br><br>';
      
      echo "<form action='' method='post'>\n";
      echo "<p>Login: <input name='auth_login' maxlength='30' autocomplete='off' ></p>\n"; // style=\"text-transform: uppercase;\"
      echo "<p>Heslo: <input type='password' name='auth_pswd' autocomplete='off'></p>\n";
      echo "<p><input type='submit' value='Přihlásit'></p>\n";
      echo "</form>\n";
      
      PrHtmlCore::htmlFooter();
      
      die();
   }


   function saveAuth()
   {
      $auth_login = trim(PrHtmlCore::getParamReq("auth_login")); // strtoupper

      //Pro první připojení když ještě nejsou nastavení uživatele systému 
      if ($auth_login == "xxx")
      {
         // pro jistotu výmaz přihláení ze sezení
         PrAuthentication::logout();
         
         if ("xxx" == trim(PrHtmlCore::getParamReq("auth_pswd")))
         {
            $_SESSION["appl_mode"] = 'admin';
            $_SESSION["is_auth_login"] = $auth_login;
            $_SESSION["is_user"] = $auth_login;
            $_SESSION["is_auth_name"] = "Administrátor";
            $_SESSION["login_time"] = time();
            $_SESSION["user_is_logged"] = 1;
            
         }
         else
         {
            return;
         }
      }
      else
      {
         // přihlášení běžného uživatele - heslo dle nastavení v tab. user
         $sql = "select name_text, password_text, admin_is " .
             " from user" .
             " where user_code = :auth_login";
         
         $this->pdo->setNamedParam("auth_login", $auth_login);
         // $this->pdo->setDebugOn();
         
         $user = $this->pdo->fetchRow($sql);
         

         
         if ($user != null &&
             trim($user["password_text"]) == trim(PrHtmlCore::getParamReq("auth_pswd")))
         {
            // uložení přihlášení do sezenu
            $_SESSION["appl_mode"] = 'user';
            $_SESSION["is_auth_login"] = $auth_login;
            $_SESSION["is_auth_name"] = $user["name_text"];
            $_SESSION["is_user"] = $auth_login;
            $_SESSION["login_time"] = time();
            if ($user["admin_is"] == "A")
                $_SESSION["user_is_logged"] = 1;
            else
                $_SESSION["user_is_logged"] = 0;            
         }
         else
         {
             // pro jistotu výmaz přihláení ze sezení
            PrAuthentication::logout();
            return;
         }
         
      }
   }


   function isAdminMode()
   {
      if (isset($_SESSION["appl_mode"]))
      {
         return ($_SESSION["appl_mode"] == 'admin');
      }
      else
      {
         return false;
      }
   }


   static function logout()
   {
      // zrušení údajú o přihlšení
      unset($_SESSION["is_auth_login"]);
      unset($_SESSION["is_auth_name"]);
      unset($_SESSION["login_time"]);
      unset($_SESSION["appl_mode"]);
      unset($_SESSION["is_user"]);
      
      unset($_SESSION["db_host"] );
      unset($_SESSION["db_user"] );
      unset($_SESSION["db_pwd"] );
      unset($_SESSION["database"]);
      $_SESSION["user_is_logged"] = 0;   
   }

}
