<?php
/**
 * @author Petr Ruttkay
 *
 */

/**
 * 
 * Třída je určena k vytvoření zaškrtávacího pole (checkbox)
 *
 */
class prHtmlCheck
{
   private $name;
   private $value;
   private $checked = false;
   private $text = null;
   private $bubbleText = null;
   private $disabled = false;
   private $onChange = null;


   public function __construct($name, $value, $checked)
   {
      if (strlen($name) == 0)
      {
         throw new Exception('prHtmlCheck: Name must not be null');
      }
      $this->name = $name;
      $this->value = $value;
      $this->checked = $checked;
   }


   public function setText($text)
   {
      $this->text = $text;
   }


   public function setBubbleText($text)
   {
      $this->bubbleText = $text;
   }


   public function setDisabled()
   {
      $this->disabled = true;
   }


   public function setOnChangeScript($scriptText)
   {
      $this->onChange = $scriptText;
   }


   public function publish()
   {
      $outHtml = "\n";
      
      if ($this->disabled)
      {
         if ($this->checked)
         {
            $outHtml .= "<img src=\"../_img/small/check_true.png\">";
         }
         else
         {
            $outHtml .= "<img src=\"../_img/small/check_false.png\">";
         }
      }
      else
      {
         // vlastní checkbox
         $outHtml .= '<input type="checkbox" name="' . trim($this->name) . '"';
         
         if (strlen($this->value) > 0)
         {
            $outHtml .= ' value="' . $this->value . '"';
         }
         
         if ($this->checked)
         {
            $outHtml .= ' checked="checked"';
         }
         
         if ($this->disabled)
         {
            $outHtml .= " disabled";
         }
         
         if ($this->bubbleText != null)
         {
            $outHtml .= ' title="' . $this->bubbleText . '"';
         }
         
         if ($this->onChange != null)
         {
            $outHtml .= ' onClick="' . $this->onChange . '"';
         }
         
         $outHtml .= '>';
         
         if ($this->text != null)
         {
            $outHtml .= $this->text;
         }
         
         $outHtml .= '</input>';
      }
      
      return $outHtml;
   }

}
