<?php
/**
 * @author Petr Ruttkay
 *
 */
require_once "./_class/prHtmlTable.php";
require_once "./_class/prColors.php";

/**
 * Abstraktní třída pro PrHtmlForm, PrHtmlTable, PrHtmlTableCell 
 *
 */
abstract class PrHtmlCore
{
   //
   private $onLoadFuncName = null;
   private $onloadfuncbody = null;
   
   // load jquery ?
   private $jQueryFlag = false;
   
   //
   private $fontSize = 12;
   private $favicon = null;
   private $style = null;


   abstract function getLeftDivContent();


   abstract function getRightDivContent();


   abstract function getPageHeaderColor();


   abstract function getApplRootDir();


   abstract function getAuthLogin();


   abstract function getAuthNametext();


   abstract function checkAuth();


   function addStyle($style)
   {
      $this->style .= $style;
   }


   function addStyleFromFile($filepath)
   {
      $this->style .= "\n" . file_get_contents($filepath) . "\n";
   }


   function setFavicon($favicon)
   {
      $this->favicon = $favicon;
   }


   function jQuery()
   {
      $this->jQueryFlag = true;
   }

   function htmlHeader($title)
   {
       error_reporting(E_ALL);
       ini_set('display_errors', 1);
       
       
      
       // session
       if (session_status() == PHP_SESSION_NONE)
       {
           // nasledujici prikaz zabrani ztrate dat formulare pri navratu tlacitkem ZPET browseru
           session_cache_limiter("private_no_expire");
           
           session_start();
       }
       
       // nasledujici prikazy zabrani ztrate dat formulare pri navratu tlacitkem ZPET browseru
       
     
       
       if ($this->jQueryFlag)
       {
//            echo "<BR>DIR " . getcwd ( );
           echo "<link href=\"" . $this->getApplRootDir() .
               "/jquery/jquery-ui.min.css\" type=\"text/css\" media=\"all\" />";
           echo "\n";
           echo "<link rel=\"stylesheet\" href=\"" . $this->getApplRootDir() .
               "/jquery/jquery-ui.theme.css\" type=\"text/css\" media=\"all\" />";
           echo "\n";
           // echo "<link rel=\"stylesheet\" href=\"" . $this->getApplRootDir() .
           // "/intranetLib/jquery/style.css\" type=\"text/css\" media=\"all\" />";
           
           echo "<script src=\"" . $this->getApplRootDir() .
               "/jquery/jquery-3.2.1.min.js\"></script>";
           echo "\n";
           echo "<script src=\"" . $this->getApplRootDir() .
               "/jquery/jquery-ui.min.js\"></script>";
           echo "\n";
       }
       

       echo '<title>' . $title . '</title>';
       

       
       ob_start(null, 512);
       
       ob_implicit_flush(true);
       // ob_end_flush();
       
       PrHtmlCore::flushBuffers();
       
       // logged in ?
       $this->checkAuth();
   }



   // Nevyužito
   static function htmlFooter()
   {
//       echo "\n";
//       echo '</body>';
//       echo "\n";
//       echo '</html>';
   }


   // Nevyužito
   static function htmlFooterVisible()
   {
//       echo "\n";
//       echo "\n";
//       echo '<div class="noprint"><p>';
//       echo "\n";
      
//       echo '<table align="center" width=40% cellspacing=0 cellpadding=0><tr>';
//       echo "\n";
//       echo '<td align=right><hr width=100% size=1 color="#999999">';
//       echo "\n";
//       echo '<td align=center width=30><font size=1><img src="../../intranetLib/img/bell.png" border=0></font>';
//       echo "\n";
//       echo '<td align=left><hr width=100% size=1 color="#999999">';
//       echo '</table>';
//       echo '</div>';
      
//       PrHtmlCore::htmlFooter();
   }


   static function flushBuffers()
   {
      ob_flush();
      flush();
      // ob_end_flush();
      // ob_start();
   }


   function pageTitle($titleText)
   {
      $this->pageTitleImpl($titleText, true);
   }


   function pageTitleSimple($titleText)
   {
      $this->pageTitleImpl($titleText, false);
   }


   protected function pageTitleImpl($titleText, $fixedBarFlag)
   {
      echo "\n";
      echo "\n";
      
      // top fixed panel
      if ($fixedBarFlag)
      {
         echo '<div class="top_fixed_bar noprint" align=center>';
      }
      else
      {
         echo '<div align=center>';
      }
      
      // top navigation bar
      echo $this->getTopNavigationContent();
      
      echo '<table border=0 cellspacing=0 cellpadding=0 width=100%>';
      echo "\n";
      

      
      echo '<tr valign=center>';
      echo "\n";
      
      // left side
      echo '<td width=300 valign=center>';
      echo $this->getLeftDivContent();
      echo "\n";
      
      // central place - title
      echo '<td align=center  valign=center style="white-space : nowrap;">';
      echo '<div align=center style="font-size: 16px; font-weight: bold; ">';
      echo $titleText;
      echo '</div>';
      echo "\n";
      
      // right side
      echo '<td align=right  valign=center class="noprint" width=300>' .
          $this->getAuthNametext() . $this->getRightDivContent();
      // . $this->getAuthLogout();
      
      echo "\n";
      echo '<tr><td colspan=3 style="height:1px"><hr width=100% color="' .
          $this->getPageHeaderColor() . '"></td>';
      
      echo '</table>';
      
      echo "\n";
      echo '</div>';
      echo "\n\n";
      
      echo '<main>';
      
   }


   function setOnLoadFunc($onLoadFuncName, $funcbody)
   {
      $this->onLoadFuncName = $onLoadFuncName;
      $this->onloadfuncbody = $funcbody;
   }


   function stopDueFatalError($msgtext)
   {
      echo '<p>';
      echo '<font color="' . prColors::RED_DARK . '">';
      echo $msgtext;
      echo '</font>';
      prHtmlCore::htmlFooter();
      die();
   }


   static function getParamReq($parname)
   {
      $retval = null;
      
      if (isset($_POST[$parname]))
      {
         $retval = trim($_POST[$parname]);
         return $retval;
      }
      
      if (isset($_GET[$parname]))
      {
         $retval = trim($_GET[$parname]);
         return $retval;
      }
      
      if (strlen($retval) == 0)
      {
         echo '<p>Missing parameter: ' . $parname;
         echo '<p>';
         echo prHtmlCore::publishStackTrace(debug_backtrace());
         die();
      }
      
      return $retval;
   }


   static function getParamOpt($parname)
   {
       
      if (isset($_POST[$parname]))
      {
         return trim($_POST[$parname]);
      }
      
      if (isset($_GET[$parname]))
      {
         return trim($_GET[$parname]);
      }
      
      return null;
   }


   static function getParamCheckbox($parname)
   {
      if (isset($_POST[$parname]) && $_POST[$parname] != null)
      {
         return true;
      }
      if (isset($_GET[$parname]) && $_GET[$parname] != null)
      {
         return true;
      }
      return false;
   }


   function uc()
   {
      echo '<p>';
      echo '<img src="../_img/middle/uc.png">';
      echo '<br><font color=red>POZOR - stránka se upravuje !</font>';
      echo '<p>';
      echo '<p>';
   }


   function getTopNavigationContent()
   {
      return "";
   }


   static function publishStackTrace($stacktrace)
   {
      return self::publishStackTraceSkip($stacktrace, 0);
   }


   static function publishStackTraceSkip($stacktrace, $skipCnt)
   {
      $html = "<table border=0 cellspacing=0 cellpadding=3>";
      
      $i = 0;
      foreach ($stacktrace as $node)
      {
         $i++;
         if ($i <= $skipCnt) continue;
         $html .= "<tr><td>" . basename($node['file']) . ":" . $node['function'] .
             "(" . $node['line'] . ")";
      }
      $html .= '</table>';
      
      return $html;
   }

}