<?php
/**
 * @author Petr Ruttkay
 *
 */
require_once "_class/prHtmlCore.php";
require_once "_class/prColors.php";
require_once "_class/prAuthentication.php";

/**
 * 
 *  Autorizace před zobrazení stránky
 */
class PrHtmlCoreIS extends PrHtmlCore
{
   private $core = null;
   private $prAuthentication = null;


   public function __construct($core)
   {
      $this->core = $core;
      $this->jQuery();
   }


   function checkAuth()
   {
      $this->prAuthentication = new PrAuthentication(getPdoIS());
      $this->prAuthentication->checkAuth();
   }


   function getAuthentication()
   {
      return $this->prAuthentication;
   }




   function getAuthLogin()
   {
      if ($this->prAuthentication != null)
      {
         return $this->prAuthentication->getAuthLogin();
      }
      else
      {
         return null;
      }
   }


   function getAuthNametext()
   {
      if ($this->prAuthentication != null)
      {

         return 
             $this->prAuthentication->getAuthName() . " " . $this->prAuthentication->getLogoutLink();
      }
      else
      {
         // funkce nevyžaduje přihlšení
         return '';
      }
   }


   function getApplRootDir()
   {
      return ".";
   }


   function getLeftDivContent()
   {
      
      return '';
   }


   function getTopNavigationContent()
   {
        return '';
   }


   function getRightDivContent()
   {
      return null;
   }


   function getPageHeaderColor()
   {
      return prColors::GREY_DARK;
   }


   static function htmlFooterVisible()
   {
   }

}