<?php
/**
 * @author Petr Ruttkay
 *
 */

/**
 * Třída na vytvoření začátku a konce formuláře (form). 
 * Tag <form> vymezuje formulář. Může obsahovat skoro všechny tagy a text, 
 * ale obvykle obsahuje zejména formulářová pole, tj. tagy <input>, <select>, <textarea>.
 */
class PrHtmlForm
{
   const METHOD_POST = "post";
   const METHOD_GET = "get";
   const FORM_SENT_HIDDEN_NAME = "_form_";
   const SEND_BUTTON_PREFIX = "_form_send_";
   private $name;
   private $action;
   private $method = PrHtmlForm::METHOD_POST;
   private $target = "_self";
   private $onSubmitScript;
   private $enctype = null;
   private $noPrintFlag = false;
   

   public function __construct($name, $action)
   {
      if (strlen($name) == 0)
      {
         throw new Exception('PrHtmlForm: Name must not be null');
      }
      $this->name = $name;
      $this->action = $action;
   }


   public function setTarget($target)
   {
      $this->target = $target;
   }


   public function setMethodPost()
   {
      $this->method = PrHtmlForm::METHOD_POST;
   }


   public function setMethodGet()
   {
      $this->method = PrHtmlForm::METHOD_GET;
   }


   public function setEnctypeForFiles()
   {
      $this->enctype = 'multipart/form-data';
   }


   public function setOnSubmitScript($script)
   {
      $this->onSubmitScript = $script;
   }


   function setNoPrint()
   {
       $this->noPrintFlag = true;
   }
   
   public function publishStart()
   {
      $outHtml = "\n" . '<form name="' . $this->name . '"' . ' id="' . $this->name . '"' .
          ' method="' . $this->method . '"' . ' target="' . $this->target . '"';
      
      if (strlen($this->action) > 0)
      {
         $outHtml .= ' action="' . $this->action . '"';
      }
      
      if (strlen($this->onSubmitScript) > 0)
      {
         $outHtml .= ' onSubmit="' . $this->onSubmitScript . '"';
      }
      
      if ($this->enctype != null)
      {
         $outHtml .= ' enctype="' . $this->enctype . '"';
      }
      
      $outHtml .= '>';
      
      $outHtml .= $this->publishHidden(PrHtmlForm::FORM_SENT_HIDDEN_NAME, $this->name);
      
      return $outHtml;
   }


   public function publishEnd()
   {
      $outHtml = '</form>';
      return $outHtml;
   }


   function publishSendButton($text)
   {
       $outHtml = "\n" . '<input ' .$this->getNoPrintHTML(). ' type=submit name="' . PrHtmlForm::SEND_BUTTON_PREFIX . $this->name .
          '" value="' . $text . '">';
      return $outHtml;
   }


   function publishSendButtonTarget($text, $action, $target)
   {

       $outHtml = "\n" . '<input ' .$this->getNoPrintHTML(). ' type=submit name="' . PrHtmlForm::SEND_BUTTON_PREFIX . $this->name .
          '" value="' . $text . '" formaction="' . $action . '" formtarget="' . $target . '">';
      return $outHtml;
   }


   function publishSendButtonNamedStyle($buttonName, $text, $style)
   {
      $outHtml = "\n" . '<input ' .$this->getNoPrintHTML(). ' type=submit name="' . PrHtmlForm::SEND_BUTTON_PREFIX . $this->name .
          '_' . $buttonName . '" value="' . $text . '" style="' . $style . '">';
      return $outHtml;
   }


   function publishCopyButtonNamed($buttonName, $text)
   {
//       $actual_link = 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
       $id = "COPY_" . PrHtmlForm::SEND_BUTTON_PREFIX . $this->name .'_' . $buttonName;
       $name =  PrHtmlForm::SEND_BUTTON_PREFIX . $this->name . '_' . $buttonName;
       $img = "./_img/small/add.png";
       $bubbleText = "Kopie aktuálního záznamu";
       
//        $outHtml = "\n" .   '<button type="submit" title="'. $bubbleText .'" name='. $name . 
//        ' value='.$text.'><img src="'.$img.'" alt="Kopie" id="submit></button>';
       $outHtml = "\n" . '<p style="text-align: right">';
       $outHtml .= "\n" . '<input ' .$this->getNoPrintHTML(). ' type=submit title="'. $bubbleText .' name="' . $name . '" value="' . $text .  '" id="submit"' .'>';
       $outHtml .= "\n" . '</p>';

       $outHtml .=  "\n" .'<div id="popup" style="display: none">
        <p>Nový kód:  
        <input type=\"text\" style=\"z-index:10000\" name="name" id="'.$id.'" value=""></p><br>
        </div>  ';

// <!doctype html>
// <html lang="en">
// <head>
//   <meta charset="utf-8">
//   <title>jQuery.post demo</title>
//   <script src="https://code.jquery.com/jquery-3.5.0.js"></script>
// </head>
// <body>
 
// <form action="/" id="searchForm">
//   <input type="text" name="X156" placeholder="Search...">
//   <input type="submit" value="Search">
// </form>
// <!-- the result of the search will be rendered inside this div -->
// <div id="result"></div>
 
// <script>
// // Attach a submit handler to the form
// $( "#searchForm" ).submit(function( event ) {
 
//   // Stop form from submitting normally
//   event.preventDefault();
 
//   // Get some values from elements on the page:
//   var form = $("#editAction");
//   var $form = $( this ),
//     term = $form.find( "input[name='X156']" ).val(),
//     url = $form.attr( "action" );
 
//   // Send the data using post
//   var posting = $.post( url, { X156: term } );
 
//   // Put the results in a div
//   posting.done(function( data ) {
//     var content = $( data ).find( "#content" );
//     $( "#result" ).empty().append( content );
//   });
// });
// </script>
 
// </body>
// </html>      



       $outHtml .=  "\n" .'<script type="text/javascript">
              $("#submit").click(function(e){
//console.log("0000000000000");
           $("#popup").dialog({ 
               autoOpen: true,
               modal: true,
               height: 200,
               width: 300,
               title: "Kopie",
               buttons: {
                   "OK": function(){
                    var value = $("#'.$id.'").val();
//                    $("#COPY_ID").val(value);
//                    alert(value);
                    document.cookie = "Copy_db_row=" + value;
                    document.cookie = "Copy_ID_row=" + "'.$id.'";

                   var form = $("#editAction");
                   $(this).dialog("close");
//                    $("#editAction").submit();

                   var action = $(this).data("action");
                    form.submit();

                   }
               }
           });
               $("#popup").dialog("open");
               
               return false;
       });
           </script>';
           
       return $outHtml;
   }
   
   function publishSendButtonNamed($buttonName, $text)
   {
      $outHtml = "\n" . '<input ' .$this->getNoPrintHTML(). ' type=submit name="' . PrHtmlForm::SEND_BUTTON_PREFIX . $this->name .
          '_' . $buttonName . '" value="' . $text . '">';
      return $outHtml;
   }

   function publishNoSubmitButtonNamed($buttonName, $text)
   {
       
       $actual_link = 'http://'.$_SERVER['HTTP_HOST'].$_SERVER['PHP_SELF'];
//        $actual_link = $_SERVER['PHP_SELF'];
//        echo "<BR>", $actual_link;
       $outHtml = "\n" . '<input type="Button" onclick="window.location='. $actual_link .';return false;"  name="' . PrHtmlForm::SEND_BUTTON_PREFIX . $this->name .
       '_' . $buttonName . '" value="' . $text . '">';
       
//        $outHtml = "\n" . '<input type="Button" onclick="window.location.reload()"  name="' . PrHtmlForm::SEND_BUTTON_PREFIX . $this->name .
//        '_' . $buttonName . '" value="' . $text . '">';
       
//        $outHtml = "\n" . '<input type="Button" onclick="history.go(0)"  name="' . PrHtmlForm::SEND_BUTTON_PREFIX . $this->name .
//        '_' . $buttonName . '" value="' . $text . '">';
       
//        $outHtml = '<input type="button" value="Storno" onclick="javascript: someFunctionThatCouldIncludeRedirect();"/>';
//        $outHtml .= '<button type="reset" value="Reset">Reset</button>';
       $outHtml .= '<input type="button" value="Reload Page" onClick="reload">';
       $outHtml .= '<input type="button" value="Refresh Page" onClick="refresh">';
       $outHtml .= '<button type="cancel" onclick="javascript:window.location=\''.$actual_link.'\';">Cancel</button>';
       $outHtml .= '<button type="cancel" onclick="javascript:window.location=\'http://stackoverflow.com\';">Cancel2</button>';
       
       return $outHtml;
   }
   
   function publishSendButtonNamedImage($buttonName, $text, $bubbleText, $img)
   {
       $outHtml = "\n" .   '<button ' .$this->getNoPrintHTML(). ' type="submit" title="'. $bubbleText .'" name='. PrHtmlForm::SEND_BUTTON_PREFIX . $this->name .
       '_' . $buttonName . ' value='.$text.'><img src="'.$img.'" alt="Detail"></button>';
//       $outHtml = "\n" . '<input type=submit name="' . PrHtmlForm::SEND_BUTTON_PREFIX . $this->name .
//           '_' . $buttonName . '" value="' . $text . '">';
      return $outHtml;
   }
   function formSent($text)
   {
      return (PrHtmlCore::getParamOpt(PrHtmlForm::SEND_BUTTON_PREFIX . $this->name) != null);
   }


   function publishHidden($hidden_name, $hidden_value)
   {
      $outHtml = "\n" . '<input type=hidden name="' . trim($hidden_name) . '" value="' .
          trim($hidden_value) . '">';
      return $outHtml;
   }


   public function publishAllParamsAsHidden()
   {
      // echo '<p>publishAllParamsAsHidden';
      return $this->publishAllParamsAsHiddenMask(null);
   }


   public function publishAllParamsAsHiddenMask($mask)
   {
      $outHtml = '';
      
      // echo '<br>mask=' . $mask;
      
      foreach ($_REQUEST as $key => $value)
      {
         // echo '<br>key=' . $key . ' value=' . $value;
         
         if (strpos($key, PrHtmlForm::SEND_BUTTON_PREFIX) === 0 ||
             strpos($key, PrHtmlForm::FORM_SENT_HIDDEN_NAME) === 0)
         {
            // tlačítka formulářč se nesmí předávat dál !
            continue;
         }
         
         if ($mask != null)
         {
            if (!fnmatch($mask, $key))
            {
               // parametr neodpovídá masce
               // echo '<br>skipped ' . $key;
               continue;
            }
         }
         
         // echo '<br>hidden ' . $key . ' value=' . $value;
         $outHtml .= $this->publishHidden($key, $value);
      }
      return $outHtml;
   }


   function wasSent()
   {
      // echo '<p>csHtmlForm.wasSent: ' . PrHtmlCore::getParamOpt(PrHtmlForm::FORM_SENT_HIDDEN_NAME) . ' == ' . $this->name;
      if (PrHtmlCore::getParamOpt(PrHtmlForm::FORM_SENT_HIDDEN_NAME) == $this->name)
      {
         return true;
      }
      return false;
   }


   function wasSentButton($buttonName)
   {
      
//        echo '<p>csHtmlForm.wasSent: ' . PrHtmlCore::getParamOpt(PrHtmlForm::FORM_SENT_HIDDEN_NAME) . ' == ' . $this->name;
//        echo "<BR>buttonName = " . $buttonName;
       
      if (PrHtmlCore::getParamOpt(PrHtmlForm::FORM_SENT_HIDDEN_NAME) == $this->name &&
          PrHtmlCore::getParamOpt(PrHtmlForm::SEND_BUTTON_PREFIX . $this->name . '_' . $buttonName))          
      {
          
//           echo "<BR>buttonName = " . $buttonName;
//           echo '<p>' . PrHtmlCore::getParamOpt(PrHtmlForm::SEND_BUTTON_PREFIX . $this->name . '_' . $buttonName);
         return true;
      }
      return false;
   }

   
   private function getNoPrintHTML(){
       if ($this->noPrintFlag)
       {
           $noPrintHtml = ' class="noprint" ';
       } else {
           $noPrintHtml = '';
       }
       return $noPrintHtml;
   }
}
