<?php
/**
 * @author Petr Ruttkay
 *
 */

/**
 *
 * Třída je určena k vytvoření přepínače (radio button) 
 *
 */

class PrHtmlRadio
{
   private $name;
   private $bubbleText = null;
   private $disabled = false;


   public function __construct($name)
   {
      if (strlen($name) == 0)
      {
         throw new Exception('PrHtmlRadio: Name must not be null');
      }
      $this->name = $name;
   }


   public function setBubbleText($text)
   {
      $this->bubbleText = $text;
   }


   public function publishVal($value, $checkVal, $text)
   {
      return $this->publish($value, ($checkVal == $value), $text);
   }


   public function publish($value, $checked, $text)
   {
      $outHtml = "\n";
      
      $outHtml .= "<input type=radio name=" . trim($this->name);
      
      if (strlen($value) > 0)
      {
         $outHtml .= " value=" . $value;
      }
      
      if ($checked)
      {
         $outHtml .= " checked";
      }
      
      if ($this->bubbleText != null)
      {
         $outHtml .= " title=\"" . $this->bubbleText . "\"";
      }
      
      $outHtml .= '>';
      
      if ($text != null)
      {
         $outHtml .= $text;
      }
      
      $outHtml .= '</input>';
      
      return $outHtml;
   }

}
