<?php
/**
 * @author Petr Ruttkay
 *
 */
class QueryConv {
	/* Regular Expressions */
	const BSchar_char = "{(?:\\\\(?:\\\\{2})+)*\\\\(.)}";
	const BSchar_charinm = "{(?:\\\\(?:\\\\{2})+)*\\\\([^\\*\\?\\[\\]])}";
	const BS = "{ \\ }";
	const BSinm = "{(\\\\[^\\*\\?\\[\\]])}";
	const SQ = "{'}";
	const DQ = "{\"}";
	const COLON = "{:}";
	const COMMA = "{,}";
	const PIPE = "{\\|}";
	const RELbeg = "{^([><=])}";
	const MATCH = "{([\\*\\?\\[\\]])}";

	public static function dblbackslash( $str) {
	    $str = preg_replace(QueryConv::BS, "\\\\");

		return $str;
	}

	public static function fld2DB_inmatch( $str) {
	    	    
	    $str = preg_replace(QueryConv::BSchar_charinm, "$1", $str);
	    $str = preg_replace(QueryConv::BSinm, "\\$1", $str);
	    $str = preg_replace(QueryConv::SQ, "\\'", $str);
	    $str = preg_replace(QueryConv::DQ, "\\\"", $str);

		return $str;
	}

	public static function fld2DB_nomatch( $str) {
	    $str = preg_replace(QueryConv::BSchar_char, "$1", $str);
	    $str = preg_replace(QueryConv::BS, "\\\\", $str);
	    $str = preg_replace(QueryConv::SQ, "\\'", $str);
	    $str = preg_replace(QueryConv::DQ, "\\\"", $str);

		return $str;
	}

	public static function fld2wiz_inlist( $str) {
	    $str = preg_replace(QueryConv::BSchar_char, "$1", $str);
	    $str = preg_replace(QueryConv::BS, "\\\\", $str);
	    $str = preg_replace(QueryConv::COMMA, "\\,", $str);

		return $str;
	}

	public static function fld2wiz_inmatch( $str) {
	    $str = preg_replace(QueryConv::BSchar_charinm, "$1", $str);
	    $str = preg_replace(QueryConv::BSinm, "\\$1", $str);

		return $str;
	}

	public static function fld2wiz_nomatch( $str) {
	    $str = preg_replace(QueryConv::BSchar_char, "$1", $str);
	    $str = preg_replace(QueryConv::BS, "\\\\", $str);

		return $str;
	}

	public static function getCorrectColumnName($columnID) {
	    return trim(strtolower(str_replace("__", ".", trim($columnID))));
	   
	}

	public static function wiz2fld_inmatch( $str) {
	    $str = preg_replace(QueryConv::BSchar_charinm, "$1", $str);
	    $str = preg_replace(QueryConv::BSinm, "\\$1", $str);
	    $str = preg_replace(QueryConv::COLON, "\\:", $str);
	    $str = preg_replace(QueryConv::PIPE, "\\|", $str);
	    $str = preg_replace(QueryConv::RELbeg, "\\$1", $str);

		return $str;
	}

	public static function wiz2fld_nomatch($str) {
	    $str = preg_replace(QueryConv::BSchar_char, "$1", $str);
	    $str = preg_replace(QueryConv::BS, "\\\\", $str);
	    $str = preg_replace(QueryConv::COLON, "\\:", $str);
	    $str = preg_replace(QueryConv::PIPE, "\\|", $str);
	    $str = preg_replace(QueryConv::RELbeg, "\\$1", $str);
	    $str = preg_replace(QueryConv::MATCH, "\\$1", $str);

		return $str;
	}

}
