<?php

/**
 * @author Petr Ruttkay
 *
 */
require_once "./_class/isPdo.php";
require_once "./private/dbconect_xml_read.php";

/**
 * Funkce vrací připojení k databázi informačního systému
 * 
 * @return isPDO
 */
function getPdoIS()
{

     if (!isset($_SESSION["db_host"])){
        $dbConnntParse = new DBconnection();
        
        $dbInfo = $dbConnntParse->getDBcon();
        $db_host =  $dbInfo->getDb_host();
        $db_user =  $dbInfo->getDb_user();
        $db_pwd =   $dbInfo->getDb_pwd();
        $database = $dbInfo->getDatabase();
        
        $_SESSION["db_host"] = $db_host;
        $_SESSION["db_user"] = $db_user;
        $_SESSION["db_pwd"] = $db_pwd;
        $_SESSION["database"] = $database;
     }
    
    $database = $_SESSION["database"];
    $db_host = $_SESSION["db_host"];
    $db_user = $_SESSION["db_user"];
    $db_pwd = $_SESSION["db_pwd"];
    
    
   try
   {
       $pdo = new isPDO($db_host, null, $database, $db_user, $db_pwd);
      return $pdo;
   }
   catch (PDOException $e)
   {
       unset($_SESSION["is_auth_login"]);
       unset($_SESSION["is_auth_name"]);
       unset($_SESSION["login_time"]);
       unset($_SESSION["appl_mode"]);
       unset($_SESSION["is_user"]);
       
       unset($_SESSION["db_host"] );
       unset($_SESSION["db_user"] );
       unset($_SESSION["db_pwd"] );
       unset($_SESSION["database"]);
       $_SESSION["user_is_logged"] = 0;
       
       echo "<BR> Chyba připojení k DB" ;
       
       $table = new PrHtmlTable();
       $table->setWidthPercent(80);
       $table->setBorder(1);
       $table->setSpacing(0);
       
       if ($e != null)
       {
           $table->setHeaderBgColor(prColors::LIGHT_PINK);
           $table->addHeaderCell("SQL error")->setColSpan(2);
       }
       else
       {
           $table->setHeaderBgColor(prColors::GREEN_1);
           $table->addHeaderCell("SQL OK")->setColSpan(2);
       }
       
        if ($e != null){
                $table->addRow();
                $table->addRowCell('Exception:')->setAlignRight();
                $table->addRowCell($e->getMessage());

       }
       
       $table->addRow();
       $table->addRowCell('StackTrace:')->setAlignRight()->setWidth(100);
       if ($e != null)
       {
           $table->addRowCell(PrHtmlCore::publishStackTrace($e->getTrace()));
       }
       else
       {
           $table->addRowCell(PrHtmlCore::publishStackTraceSkip(debug_backtrace(), 1));
       }
       
       echo '<p>' . $table->publish();
       die();
       

   }
}