<?php
/**
 * @author Petr Ruttkay
 *
 */

/**
 * Funkce načte levé menu IS z databáze
 * @param isPdo $pdo
 * @param string $baseMenu
 * @param string $currentMenuID
 * @param string $parentMenuID
 * @return string
 */
function fillMenuIS($pdo, $baseMenu, $currentMenuID, $parentMenuID)
{
    
    $outHtml = "\n<div id='levy'> ";
    $outHtml .= "\n<div id='glossymenu'>";
    $outHtml .= "\n<ul id='glossymenu'>";
    
    switch ($baseMenu) {
        case "invoice": $name = "Pohledávky";
        break;
        case "order": $name = "Objednávky";
        break;
        case "account": $name = "Účetnictví";
        break;        
        case "warehouse": $name = "Skl.Hospodářstvi";
        break;        
        case "admin": $name = "Systémové služby";
        break;
        
        default:
            $name = "";
            break;
    }
    
    $outHtml .= '<b>'. $name .'</b>';

    $securityInd = 1;
    if (isset($_SESSION["is_user"])){
        $sql = "select * from user where user_code = :user_code and valid_flag = 1";
        $pdo->setNamedParam("user_code", $_SESSION["is_user"]);
        
        foreach ($pdo->query($sql) as $data)
        {
            $securityInd = $data["security_ind"];
        }
            
    } 
        
        $sql = "select * from menu where base_menu_text = :base_menu_text and security_ind <= :security_ind and parent_menu_id is null and valid_flag = 1 order by sort_key";
        
    $pdo->setNamedParam("base_menu_text", $baseMenu);
    $pdo->setNamedParam("security_ind", $securityInd);
    
    foreach ($pdo->query($sql) as $data)
    {
        $descText = $data["desc_text"];
        $file = $data["file"];
        $menu_id = $data["menu_id"];
        $parent_menu_id = $data["parent_menu_id"];
        $subMenu = $data["sub_menu"];
        $param = $data["param"];
        
        
        if ($menu_id == $currentMenuID){
            $class1 = "class= 'currentmenu1'";
        } else {
            $class1 = "";
        }
        
        
        $expand = false;
        if ($subMenu == "Y"){
            if (isset($_SESSION["menuID=". $menu_id])){
                if ($_SESSION["menuID=". $menu_id] == "expanded"){
                    $expand = true;
                    //Zbalení aktuálního mneu
                    if ($currentMenuID == $menu_id && $parentMenuID == null){
                        $expand = false;
                    }
                }                
            }
            
            $_SESSION["menuID=". $menu_id] = "collapsed";
        }
        
        
        if (($subMenu == "Y" && $parentMenuID == $menu_id) || $expand) {
            
            $outHtml .= "\n<li><a ".$class1." href='index.php?base=". $baseMenu."&menu=". $file. "&menuID=". $menu_id ."&parent=". $parent_menu_id ."&param=". $param ."'><span class='expanded'>".$descText."</span></a></li>";
            $_SESSION["menuID=". $menu_id] = "expanded";
                
                $sql2 = "select * from menu where base_menu_text = :base_menu_text and parent_menu_id = :parent_menu_id and valid_flag = 1 order by sort_key ";
                $pdo->setNamedParam("parent_menu_id", $menu_id);
                $pdo->setNamedParam("base_menu_text", $baseMenu);
                
                $outHtml .= "\n   <div class='menu2'>";                
                foreach ($pdo->query($sql2) as $data2)
                {
                    $descText2 = $data2["desc_text"];
                    $file2 = $data2["file"];
                    $menu_id2 = $data2["menu_id"];
                    $parent_menu_id2 = $data2["parent_menu_id"];
                    $param="1";
                    $subMenu2 = $data2["sub_menu"];
                    $param = $data2["param"];
                    if ($menu_id2 == $currentMenuID){
                        $class2 = "currentmenu2";
                    } else {
                        $class2 = "menu2";
                    }
                    if ($subMenu2 == "Y"){
                        $outHtml .= "\n      <li><a class='" .$class2. "' href='index.php?base=". $baseMenu."&menu=". $file2 . "&menuID=". $menu_id2 ."&parent=". $parent_menu_id2 ."&param=". $param ."'><span class='collapsed'>".$descText2."</span></a></li>";
                       
                    } else {
                        $outHtml .= "\n      <li><a class='" .$class2. "' href='index.php?base=". $baseMenu."&menu=". $file2 . "&menuID=". $menu_id2 ."&parent=". $parent_menu_id2 ."&param=". $param ."'>".$descText2."</a></li>";
                        
                    }                    
                }
                
                $outHtml .= "\n   </div>";
                
//             }
        }elseif ($subMenu == "Y" && $parent_menu_id == null) {
            $outHtml .= "\n<li><a ".$class1." href='index.php?base=". $baseMenu."&menu=". $file . "&menuID=". $menu_id ."&parent=". $menu_id ."&param=". $param ."'><span class='collapsed'>".$descText."</span></a></li>";
        
        } elseif ($parent_menu_id != null) {
            $outHtml .= "\n<li><a ".$class1." href='index.php?base=". $baseMenu."&menu=". $file . "&menuID=". $menu_id ."&parent=". $parent_menu_id ."&param=". $param ."'>".$descText."</a></li>";
        }else {
            $outHtml .= "\n<li><a ".$class1." href='index.php?base=". $baseMenu."&menu=". $file . "&menuID=". $menu_id ."&param=". $param ."'>".$descText."</a></li>";
        }
        
    }
       
    
    $outHtml  .= "\n</ul>";
    $outHtml  .= "\n</div>";
    $outHtml  .= "\n</div>	";

    
    return $outHtml;
}