<?php

/**
 * @author Petr Ruttkay
 *
 */

require_once "./_func/isPdoFactory.php";
require_once "./_func/errorlib.php";
require_once "custCheck.php";
require_once "./_class/prHtmlForm.php";
require_once "./_class/prHtmlTable.php";
require_once "./_class/prProgress.php";
require_once "./_func/datetime_lib.php";
require_once "./_func/format.php";
require_once "./_class/formXmlRead.php";
require_once "./_class/formBoxCreator.php";
require_once "./_class/formCore.php";
require_once "./_func/editFactory.php";

/**
 * 
 * Třída vytváří formulář s přehledem odběratelů
 */
class CustomerSelector extends FormCore
{
   private $pdo;
   private $updateSQL;
   private $formStructure;

   private $keyName;


   public function __construct(isPDO $pdo,  $keyName, FormStructure $formStructure)
   {
       $this->pdo = $pdo;
       $this->formStructure = $formStructure;
       $this->keyName = $keyName;
       
       parent::__construct($pdo, $keyName, $formStructure);
   }

   
   public function run()
   {
       parent::initFormCore();
       $this->actionForm();
       parent::genPage("Načítá se přehled odběratelů");       
   }
   
   public function actionForm(){

       $formEditAction = parent::getFormEditAction();
       
       if ($formEditAction->wasSentButton(FormGridCreator::ACTION_GOTO_STORNO)) {
           //Bylo stisknuto tlačítko STORNO
           parent::setNoFiltred(true);
           $_SESSION["noFiltred"] = "A";
           $_SESSION["updateSQL"] = null;
           $_SESSION["primaryKey"] = null;
           
           $sql = "delete from filter_data where user = :user and form_id = :form_id";
           $this->pdo->setNamedParam("user", $_SESSION["is_user"]);
           $this->pdo->setNamedParam("form_id", $this->formStructure->getFormID());
           if ($this->pdo->exec($sql) === false){
               return "Chyba filtru dat";
           }
       }
       
       if ($formEditAction->wasSentButton(FormTableCreator::ACTION_SAVE_LINES) ||
           $formEditAction->wasSentButton(FormGridCreator::ACTION_GOTO_EDITOR_UPD_SAVE))
       {
           $custCheck = new CustCheck($this->pdo, $this->keyName, $this->formStructure, false);
           
           if ($custCheck->checkCust()){
               $msg = saveChanges($this->pdo);
               if (isset($msg)) {
                   echo getErrorMsg($msg);
               }
           } else {
               $msg =$custCheck->getMsg();
               echo "<font color=red><b>".$msg."!</b></font>";
               
               $_SESSION["show_last_data"] = true;
               $_SESSION["primaryKey"]     = $custCheck->getPrimaryKey();
           }
           
           parent::setNoFiltred(false);
           $_SESSION["noFiltred"] = "N";
       }
       
       if ($formEditAction->wasSentButton(FormGridCreator::ACTION_GOTO_EDITOR_INS_SAVE))
       {
           $custCheck = new CustCheck($this->pdo, $this->keyName, $this->formStructure, true);
           
           if ($custCheck->checkCust()){
               $msg = InsertIntoDB($this->keyName, $this->pdo, false);
               if (isset($msg)) {
                   echo getErrorMsg($msg);
               }
           } else {
               $msg =$custCheck->getMsg();
               echo "<font color=red><b>".$msg."!</b></font>";
               $_SESSION["show_last_data"] = true;
               $_SESSION["primaryKey"]     = null;
               $_SESSION["insRow"] = "Y";
           }
           parent::setNoFiltred(false);
           $_SESSION["noFiltred"] = "N";
       }
   }
}
