<?php
/**
 * @author Petr Ruttkay
 *
 */
 
class DBconnection {
    function getDBcon() {
        $data = new XMLReader();
         $data->open($_SERVER['DOCUMENT_ROOT'] . '/dbconn.xml');
        
        while($data->read()) {
            switch($data->name) {
                case 'dbconectList':
                    $dbconectList = new DBconectList($data);
                    break;
            }
        }

        return $dbconectList->getFirstConn();
       
    }
}

class DBconectList {
    private $seznam = array();
    
    public function __construct($data) {
        while($data->read()) {
            switch($data->name) {
                case 'dbconect':
                    if($data->nodeType == XMLReader::ELEMENT) {
                        $this->seznam[] = new DBconect($data);
                    }
                    break;
                    
                case 'dbconectList':
                    return;
            }
        }
    }
    
    /**
     * @return multitype:
     */
    public function getSeznam()
    {
        return $this->seznam;
    }

    public function getFirstConn()
    {
        return $this->seznam[0];
    }

    public function __toString() {
        $out = array();
        foreach($this->seznam as $dbconect) {
            $out[] = $dbconect->__toString();
        }
        return implode("\n", $out);
    }
}

class DBconect {
    private $db_host;
    private $db_user;
    private $db_pwd;
    private $database;
    
    public function __construct($data) {
//         $this->db_user = $data->getAttribute('db_user');
        
        while($data->read()) {
            switch($data->name) {
                case 'db_host':
                    $data->read();
                    $this->db_host = $data->value;
                    $data->read();
                    break;
                    
                case 'db_user':
                    $data->read();
                    $this->db_user = $data->value;
                    $data->read();
                    break;
                    
                case 'db_pwd':
                    $data->read();
                    $this->db_pwd = $data->value;
                    $data->read();
                    break;
                    
                case 'database':
                    $data->read();
                    $this->database = $data->value;
                    $data->read();
                    break;
                    
                case '#text':
                    break;
                    
                default:
                    return;
            }
        }
    }
    
    /**
     * @return mixed
     */
    public function getDb_host()
    {
        return $this->db_host;
    }

    /**
     * @return mixed
     */
    public function getDb_user()
    {
        return $this->db_user;
    }

    /**
     * @return mixed
     */
    public function getDb_pwd()
    {
        return $this->db_pwd;
    }

    /**
     * @return mixed
     */
    public function getDatabase()
    {
        return $this->database;
    }

    public function __toString() {
//         echo "<BR>db_host ", $this->db_host,"<BR>db_user ", $this->db_user, 
//         "<BR>db_pwd ", $this->db_pwd, "<BR>database ", $this->database;
        return sprintf("%-20s %2d %10s", $this->db_host, $this->db_user, $this->db_pwd);
    }
}