<?php

/**
 * @author Petr Ruttkay
 *
 */

// echo "<BR>custSelector";
require_once "./_func/isPdoFactory.php";
require_once "./_func/errorlib.php";
require_once "./_class/prHtmlForm.php";
require_once "./_class/prHtmlTable.php";
require_once "./_class/prProgress.php";
require_once "./_func/datetime_lib.php";
require_once "./_func/format.php";
require_once "./_class/formXmlRead.php";
require_once "./_class/formBoxCreator.php";
require_once "./_func/editFactory.php";
require_once "./_class/formCheck.php";
require_once "./_class/formCore.php";
require_once "InsertDoc.php";


class StockDoc extends FormCore
{
   private $pdo;
   private $updateSQL;
   private $formStructure;

   // formulář pro editaci
//    private $formEditAction;
   private $keyName;
   private $typeStock;

/**
 * 
 * @param isPDO $pdo
 * @param string $keyName například Příjemka 
 * @param string $typeStock P=Příjemka, V=Výdejka
 * @param FormStructure $formStructure
 */
   public function __construct(isPDO $pdo,  $keyName, $typeStock, FormStructure $formStructure)
   {
      $this->pdo = $pdo;
      $this->formStructure = $formStructure;
      $this->keyName = $keyName;
      $this->typeStock = $typeStock;
      
      parent::__construct($pdo, $keyName, $formStructure);
   }


   public function run()
   {
       parent::setTempFlag(true);
       parent::initFormCore(); 
       
       $this->fillID($this->typeStock);
       
       $this->actionForm();    
       
       parent::genPage("Načítá se přehled skladových dokladů");       
       
   }

   public function actionForm(){
       
       //parent::actionFormCore(); Odkometovat pokud se má použít funkce rodiče
       
       $formEditAction = parent::getFormEditAction();
       
       if ($formEditAction->wasSentButton(FormGridCreator::ACTION_GOTO_INS_DOC)) {
           //Potvrzení skladového dokadu
           $custCheck = new FormCheck($this->pdo, $this->keyName, $this->formStructure, false);
           
           if ($custCheck->checForm()) {
               $msg = saveChanges($this->pdo);
               $doc = new InsertDoc($this->pdo, "Zápis - " . $this->keyName, $this->formStructure, false);
               if(!$doc->InsertData2DB($this->keyName, $this->pdo)) {
                   echo getErrorMsg($doc->getMsg());
               } else {
                   echo getErrorMsg($doc->getMsg());
                   $_SESSION["show_last_data"] = false;
                   $_SESSION["primaryKey"]     = null;
                   $_SESSION["insRow"] = "Y";
               }
           } else {
               $msg =$custCheck->getMsg();
               echo "<font color=red><b>".$msg."!</b></font>";
               $_SESSION["show_last_data"] = true;
               $_SESSION["primaryKey"]     = null;
               $_SESSION["insRow"] = "N";
           }
           $this->noFiltred = false;
           $_SESSION["noFiltred"] = "N";
       } 
       
       if ($formEditAction->wasSentButton(FormGridCreator::ACTION_GOTO_STORNO)) {
           //Bylo stisknuto tlačítko STORNO
           $sql = "delete from stockhead where valid_flag = 0 ";
           if ($this->pdo->exec($sql) === false){
               return "Chyba filtru dat";
           }
           $sql = "delete from stockdetl where type_stock = '".$this->typeStock."' and valid_flag = 0 ";
           if ($this->pdo->exec($sql) === false){
               return "Chyba filtru dat";
           }
           
       }
       
       if ($formEditAction->wasSentButton(FormTableCreator::ACTION_SAVE_LINES) ||
           $formEditAction->wasSentButton(FormGridCreator::ACTION_GOTO_EDITOR_UPD_SAVE))
       {
           //Aktulazace dat
           $custCheck = new FormCheck($this->pdo, $this->keyName, $this->formStructure, false);
           
           if ($custCheck->checForm()){
               $msg = saveChanges($this->pdo);
               if (isset($msg)) {
                   $this->fillID($this->typeStock);
               }
              
           } else {
               $msg =$custCheck->getMsg();
               echo "<font color=red><b>".$msg."!</b></font>";
               
               $_SESSION["show_last_data"] = true;
               $_SESSION["primaryKey"]     = $custCheck->getPrimaryKey();
           }
           
           parent::setNoFiltred(false);
           $_SESSION["noFiltred"] = "N";           
       }
       
       
       if ($formEditAction->wasSentButton(FormGridCreator::ACTION_GOTO_EDITOR_INS_SAVE))
       {
           //Zápis nových dat
           //            echo "<BR>Zápis nových dat";
           $custCheck = new FormCheck($this->pdo, $this->keyName, $this->formStructure, true);
           
           if ($custCheck->checForm()){
               $doc = new InsertDoc($this->pdo, "Zápis - " . $this->keyName, $this->formStructure, true);
               $msg = $doc->InsertTempData($this->keyName, $this->pdo, true);
               if (isset($msg)) {
                   $this->fillID($this->typeStock);
                   //                    echo getErrorMsg($msg);
               }
           } else {
               $msg =$custCheck->getMsg();
               echo "<font color=red><b>".$msg."!</b></font>";
               $_SESSION["show_last_data"] = true;
               $_SESSION["primaryKey"]     = null;
               $_SESSION["insRow"] = "Y";
           }
           parent::setNoFiltred(false);
           $_SESSION["noFiltred"] = "N";
       }       
   }
   
   private function fillID($type_stock){
       
        $_SESSION["wherePartRow"] = " 1=0 "; //Aby se nevybrali řádky pokud se zapisuje nový doklad 
       $sql = "select stock_id from stockhead where valid_flag = 0 and type_stock = :type_stock";
       $this->pdo->setNamedParam("type_stock", $type_stock);
       
       foreach ($this->pdo->query($sql) as $data)
       {
           $value = $data["stock_id"];
           $_SESSION["primaryKey"] = $value;
           $_SESSION["save_primaryKey"] = $value;
           $_SESSION["head_ID"] = $value;
           
           $_SESSION["wherePartRow"]  = " stock_id = " . $value; //POdmínka pro načtení řádek dokladu
           
//             echo "<BR> stock_id = ". $value;
           $sql = "select stock_id_detl from stockdetl where stock_id = :stock_id and valid_flag = 0 order by line_num";
           $this->pdo->setNamedParam("stock_id", $value);
           foreach ($this->pdo->query($sql) as $detl)
           {
               $value = $detl["stock_id_detl"];
//                 echo "<BR> stock_id_detl = ". $value;
               $_SESSION["detl_ID"] = $value;
               break;
           }
//             echo "<BR>primaryKey = " . $_SESSION["primaryKey"] ;
       }
       
   }
}
